/**
 * 城市地区三级联动选择页面 cityPickerPage.JS
 * @author hupengfei
 */
DMX.namespace("cityPickerPage");
DMX.cityPickerPage = (function() {
  
  
	/**
   	* 进入城市地区三级联动选择页面
   	*/
	var goToCityPickerPage=function(){
		$.router.loadPage("#cityPickerPage");
		DMX.cityPickerPage.initCityPickerPageMethod();
	};
  
  
	/**
	 * 进入城市地区三级联动选择页面需要加载的方法
	 * @author hupengfei
	 */
	var initCityPickerPageMethod=function(){
		AMapUI.loadUI(['misc/MobiCityPicker'], function(MobiCityPicker) {
			var cityPicker = new MobiCityPicker();
			cityPicker.show();
			 AMap.event.addDomListener(document.getElementById('mainPage_areas'), 'click', function(e) {
				 cityPicker.show();
			 });
			
			//监听城市选中事件
			cityPicker.on('citySelected', function(cityInfo) {
				//隐藏城市列表
				cityPicker.hide();
				//选中的城市信息
				console.log(cityInfo);
				alert(cityInfo.name);
			});
		});
	};
	
	/**
	 * 点击返回首页
	 * @author hupengfei
	 */
	var goBack = function(){
		$.router.loadPage("#mainPage");
	};
	
	return {
		goToCityPickerPage:goToCityPickerPage,
		initCityPickerPageMethod:initCityPickerPageMethod,
		goBack:goBack
	};
})();


