/**
 *  硬币机具详情js
 */
DMX.namespace("machinedetailsPage");
DMX.machinedetailsPage = (function() {
  
	/**
    * 进入硬币机具详情页面
    */
	var goToMachinedetailsPage=function(id,listdevinfos){
		$.router.loadPage("#machinedetailsPage");
		DMX.machinedetailsPage.gotocoinimplementDetail(id,listdevinfos);
	};
  
	
	
	

	/**
	 * 跳转到机具详情页面
	 */
	var gotocoinimplementDetail = function(id,machinedetailsList){
		$('#coinimplementDetailcontent').html("");
		var machinedetailsData=null;
		if(null != machinedetailsList && machinedetailsList.length != 0){
			for(var i=0;i<machinedetailsList.length;i++){
				if(machinedetailsList[i].dev_id == id){
					machinedetailsData=machinedetailsList[i];
					break;
				}
			}
	    }else{
		    $.toast("无相关数据");
	    }
		
	  	
	  	
		
	   //将获取到的数据赋值到详情页面
	   if(machinedetailsData!=null){
		   html="";
		   html += '<div style="text-align: center;"><img src="'+basePath+''+machinedetailsData.dev_url+'" style="width:80%;margin:auto;display:block;"/></div>';
		   html += '<div style="margin-left: 0.5rem;font-size: 18px;color: #DD3F39;margin-top: 0.5rem;font-weight: bold;">'+machinedetailsData.dev_name+'</div>';
		   html += '<div style="margin-left: 0.5rem;font-size: 15px;color: #666;">品牌：'+machinedetailsData.dev_factory+'</div>';
		   html += '<div style="margin-left: 0.5rem;font-size: 15px;color: #666;">型号：'+machinedetailsData.dev_model+'</div>';
		   html += '<div style="margin-left: 0.5rem;font-size: 15px;word-break:break-all;color: #666;">'+machinedetailsData.dev_remark+'</div>';
		   html += '<div style="text-align: center;"><p><a class="button button-fill" onclick="DMX.util.servicesPagePlayTelPhone()" style="width:90%;text-align: center;margin-left:5%;line-height: 1.6rem;height: 1.6rem;">设备咨询</a></p></div>';
		   $('#machinedetailscontent').append(html);
	   } 
	};
	
	return {
		goToMachinedetailsPage:goToMachinedetailsPage,
		gotocoinimplementDetail:gotocoinimplementDetail
	};
})();


