/**
 * 图标/列表详情页面js makerlistdetailsPage.js
 */
DMX.namespace("makerlistdetailsPage");
DMX.makerlistdetailsPage = (function() {
  
  /**
   * 跳转到图标/列表详情页面
   */
  var goToMakerlistdetailsPage=function(number,i,data){
    $.router.loadPage("#makerlistdetailsPage");
    DMX.makerlistdetailsPage.showHideSupplyDemandDetailCotroller(number);
    DMX.makerlistdetailsPage.xuanransupplyDemandDetailPage(number,i,data);
  };
  
  
  /**
   * 显示影藏控件
   * @param data
   */
  var showHideSupplyDemandDetailCotroller=function(data){
    if(data == "1" || data == "2"){//供//需
      if(data == "1"){
        $("#supplyDemandDetailPageTitle").text("供应详情内容");
      }else if(data == "2"){
        $("#supplyDemandDetailPageTitle").text("需求详情内容");
      }
    }
  };
  
  
  
  /**
   * 渲染数据
   * @author lijin
   */
  var xuanransupplyDemandDetailPage=function(number,i,makerlistData){
    var data=makerlistData[number][i];
    $("#makerlistdetailsPage_coin_10").val(data.coin_10);
    $("#makerlistdetailsPage_coin_5").val(data.coin_5);
    $("#makerlistdetailsPage_coin_1").val(data.coin_1);
    $("#makerlistdetailsPage_publish_time").val(data.publish_time);
    $("#makerlistdetailsPage_end_time").val(data.end_time);
    $("#makerlistdetailsPage_user_nick").val(data.user_nick);
    $("#makerlistdetailsPage_user_phone").val(data.user_phone);
    $("#makerlistdetailsPage_user_company").val(data.user_company);
    if(number == "1" || number == "2"){
      $("#makerlistdetailsPage_location_info").val(data.location_info);
    }
  };
  
  
  
  /**
   * 初始化图标/列表详情页面
   */
  var initMakerlistdetailsPageMethod=function(){
    $("#initMakerlistdetailsPageMethod_main").html("");
    DMX.makerlistdetailsPage.loadingdataMakerlist();  
  };
  
  

  /**
   * 加载数据
   */
 
  
  
  return {
    goToMakerlistdetailsPage:goToMakerlistdetailsPage,
    showHideSupplyDemandDetailCotroller:showHideSupplyDemandDetailCotroller,
    xuanransupplyDemandDetailPage:xuanransupplyDemandDetailPage,
    initMakerlistdetailsPageMethod:initMakerlistdetailsPageMethod
  };
})();


