/**
 * 我的供需JS ownEditsupplydemandPage.js
 */
DMX.namespace("ownEditsupplydemandPage");
DMX.ownEditsupplydemandPage = (function() {
  var reg = /^([1-9][0-9]*){1,3}$/;
  var supplyordemandData="";
  var supplydemandData="";
  /**
   * 进入我的供需详情页面
   */
  var goToOwnEditsupplydemandPage=function(supplyordemand,State,data){
    $.router.loadPage("#ownEditsupplydemandPage");
    supplyordemandData=supplyordemand;
    supplydemandData=data;
    if(State=="view"){
      $("#EditPage_title").text("查看供需详细信息");
      $("#makeEditOwnSupplyDataId").css("display","none");
      $("#EditPage_publish_time_li").css("display","block");
      $("#EditPage_location_info_li").css("display","block");
      $("#EditPage_end_time_li").css("display","block");
    }else if(State=="edit"){
      $("#EditPage_title").text("更新供需信息");
      $("#makeEditOwnSupplyDataId").css("display","block");
      $("#EditPage_publish_time_li").css("display","none");
      $("#EditPage_location_info_li").css("display","none");
      $("#EditPage_end_time_li").css("display","none");
    }
    DMX.ownEditsupplydemandPage.initOwnEditsupplydemandPageMethod(data);
  };
  
  
  /**
   * 进入我的供需详情页面
   * 初始化数据,渲染数据
   */
  var initOwnEditsupplydemandPageMethod=function(data){
    $("#coin_10").val(data.coin_10);
    $("#coin_5").val(data.coin_5);
    $("#coin_1").val(data.coin_1);
    $("#publish_time").val(data.publish_time);
    $("#location_info").val(data.location_info);
    $("#end_time").val(data.end_time);
  };
  
  
  
  /**
   * 修改供需信息
   */
  var makeEditsupplydemandData=function(){
    if(DMX.ownEditsupplydemandPage.supplydemandMainPageV() != 0){
      return;
    }
    var coin_10=$.trim($("#coin_10").val());
    var coin_5=$.trim($("#coin_5").val());
    var coin_1=$.trim($("#coin_1").val());
    
    var user_id=userInfo.user_id;
    var myDate=new Date((new Date()).valueOf() + 2*24*60*60*1000);
    var myYears = (myDate.getYear() < 1900 ) ? ( 1900 + myDate.getYear() ) : myDate.getYear();
    var dateTime=myYears + "-"+DMX.util.checkTime((myDate.getMonth()+1))+"-"+DMX.util.checkTime(myDate.getDate())+" "+DMX.util.checkTime(myDate.getHours())+":"+DMX.util.checkTime(myDate.getMinutes());
    var end_time=dateTime;
    //X坐标
    var location_x=supplydemandData.location_x;
    //Y坐标
    var location_y=supplydemandData.location_y;
    //注册地址
    var location_info=supplydemandData.location_info;    
    
    
    if(supplyordemandData=="供应"){
      //传参
      var param = {
        'user_id': user_id,
        'end_time': end_time,
        'coin_10': Number(coin_10),
        'coin_5': Number(coin_5),
        'coin_1': Number(coin_1),
        'cash_200': 0,
        'cash_100': 0,
        'cash_50': 0,
        'cash_10': 0,
        'cash_5': 0,
        'cash_1': 0,
        'location_x': location_x,
        'location_y': location_y,
        'location_info': location_info,
        'provide_id': supplydemandData.provide_id,
        'remark': ""
      };
      
      //开启进度条
      $.showIndicator();
      
      $.ajax({
        type: "POST",
        url: basePath + "updateUserProvideInfo",
        data: param,
        success: function(data) {
          //关闭进度条
          $.hideIndicator();
          if(data.code == "TRUE"){
            $.toast("修改成功!");
            DMX.ownsupplydemandPage.goToOwnsupplydemandPage();
          }else if(data.code == "FALSE"){
            $.toast(data.msg);
          }
        },
      timeout:15000,
      error:function(XMLHttpRequest, textStatus, errorThrown){
        $.hideIndicator();
        if(textStatus == "timeout"){
          $.toast("更新信息超时");
        }else{
          $.toast("更新失败,请重试");
        }
      }
      });
    }
    if(supplyordemandData=="需求"){
      //传参
      var param = {
        'user_id': user_id,
        'end_time': end_time,
        'coin_10': Number(coin_10),
        'coin_5': Number(coin_5),
        'coin_1': Number(coin_1),
        'cash_200': 0,
        'cash_100': 0,
        'cash_50': 0,
        'cash_10': 0,
        'cash_5': 0,
        'cash_1': 0,
        'location_x': location_x,
        'location_y': location_y,
        'location_info': location_info,
        'need_id': supplydemandData.need_id,
        'remark': ""
      };
      
      //开启进度条
      $.showIndicator();
      $.ajax({
        type: "POST",
        url: basePath + "updateNeedInfo",
        data: param,
        success: function(data) {
          //关闭进度条
          $.hideIndicator();
          if(data.code == "TRUE"){
            $.toast("更新成功!");
            DMX.ownsupplydemandPage.goToOwnsupplydemandPage();
          }else if(data.code == "FALSE"){
            $.toast(data.msg);
          }
        },
      timeout:15000,
      error:function(XMLHttpRequest, textStatus, errorThrown){
        $.hideIndicator();
        if(textStatus == "timeout"){
          $.toast("更新信息超时");
        }else{
          $.toast("更新失败,请重试");
        }
      }
      });
    }
    
  };
  
  
  /**
   * 供应需求信息验证
   */
  function supplydemandMainPageV(){
    var coin_10=$.trim($("#coin_10").val());
    var coin_5=$.trim($("#coin_5").val());
    var coin_1=$.trim($("#coin_1").val());
    if(null == coin_10 || typeof(coin_10) == "undefined"){
      $.toast("1元为空!");
      return 1;
    }
    if(null == coin_5  || typeof(coin_5) == "undefined"){
      $.toast("5角为空!");
      return 2;
    }
    if(null == coin_1  || typeof(coin_1) == "undefined"){
      $.toast("1角为空!");
      return 3;
    }if(coin_10 == "0" && coin_5 == "0" && coin_1 == "0"){
      $.toast("发布信息不能为0!");
      return 4;
    }if(coin_10 == "" && coin_5 == "" && coin_1 == ""){
      $.toast("发布信息不能为空!");
      return 5;
    }
    return 0;
  }
  
  
  return {
    goToOwnEditsupplydemandPage:goToOwnEditsupplydemandPage,
    initOwnEditsupplydemandPageMethod:initOwnEditsupplydemandPageMethod,
    makeEditsupplydemandData:makeEditsupplydemandData,
    supplydemandMainPageV:supplydemandMainPageV
  };
})();


