/**
 *  我的消息js
 */
DMX.namespace("ownMessagePage");
DMX.ownMessagePage = (function() {
  
	/**
    * 进入平台介绍页面
    */
	var goToOwnMessagePage=function(state){
	    goToOwnMessagePageState=state;
		goToPageState="ownMessagePage";
		if(userInfo == null){
			DMX.loginPage.goToLoginPage();
	    }else{
	    	$.router.loadPage("#ownMessagePage");
	    	DMX.ownMessagePage.initOwnMessagePageData();
	    	DMX.ownMessagePage.changeMessage();
	    }
	};
	
	
	/**
   * 修改消息状态
   */
	function changeMessage(){
	  //传参
    var param = {
      'user_id': userInfo.user_id
    };
	  $.ajax({
      type: "POST",
      url: basePath + "updateNtfMessageIsActivate",
      data: param,
      success: function(data) {
        //关闭进度条
        $.hideIndicator();
        if(data.code == "TRUE"){
        }else if(data.code == "FALSE"){
          $.toast(data.msg);
        }
      },
    timeout:15000,
    error:function(XMLHttpRequest, textStatus, errorThrown){
      $.hideIndicator();
      if(textStatus == "timeout"){
        $.toast("获取超时");
      }else{
        $.toast("获取失败,请重试");
      }
    }
  });
	}
	
	

	
	/**
	 * 查询消息
	 */
	function initOwnMessagePageData(){
		$("#ownMessagePage_ul").html("");
		var param = {'user_id': userInfo.user_id,'ntf_issess': 1};
		$.showIndicator();
		$.ajax({
		    type: "POST",
		    url: basePath + "getUserNtfInfo",
		    data: param,
		    success: function(data) {
		      //关闭进度条
		      $.hideIndicator();
		      if(data.code == "TRUE"){
		    	  DMX.ownMessagePage.setInitownMessagePageData(data.obj);
		      }else if(data.code == "FALSE"){
		        $.toast(data.msg);
		      }
		    },
			timeout:15000,
			error:function(XMLHttpRequest, textStatus, errorThrown){
				$.hideIndicator();
				if(textStatus == "timeout"){
					$.toast("获取超时");
				}else{
					$.toast("获取失败,请重试");
				}
			}
		});
	}


/**
 * 渲染数据
 * <div class="card">
    <div class="card-header">卡头</div>
    <div class="card-content">
      <div class="card-content-inner">头和尾的卡片。卡头是用来显示一些额外的信息，或自定义操作卡标题和页脚。</div>
    </div>
    <div class="card-footer">卡脚</div>
  </div>
 */
	function setInitownMessagePageData(data){
		if(null == data || data.length === 0){
			$.toast("没有消息");
			$('.ownMessagePage_ul').html('<img src="lib/img/null.png" style="width:10rem;margin:auto;display:block;margin-top:30%;"/>');
			return;
		}
		var ownMessagePageDataArray=data;
		var html="";
		for(var i=0;i<ownMessagePageDataArray.length;i++){
			var ntf_content=ownMessagePageDataArray[i].ntf_content;
			var ntf_sourceuser_id=ownMessagePageDataArray[i].ntf_sourceuser_id;
			var ntf_sourceuser_name=ownMessagePageDataArray[i].ntf_sourceuser_name;
			if(null == ntf_sourceuser_name || ntf_sourceuser_name == "null" || typeof(ntf_sourceuser_name) == "undefined"){
				ntf_sourceuser_name="  ";
			}
			var content=ntf_content.replace(ntf_sourceuser_id,ntf_sourceuser_name);
			
			html+='<li>';
			html+='<label class="ownMessagePage_time">'+ownMessagePageDataArray[i].ntf_time+'</label>';
			html+='<div class="ownMessagePage_div">';
			html+='<div style="text-align:right;"><a style="position: absolute;right: 22px;" onclick="DMX.ownMessagePage.delectmsg(\''+ownMessagePageDataArray[i].ntf_id+'\')">×</a></div>';
			html+='<h4><img src="lib/img/kuaibao1.png" style="height: 0.5rem;margin-top: 0.3rem;margin-right:0.3rem;">动动消息</h4>';
			html+='<label>'+content+'</label>';
			html+='</div>';
			html+='</li>';
		}
		$(".ownMessagePage_ul").html(html);
	}
	
	
	/**
   * 删除消息
   */
	function delectmsg(ntf_id){
	  $.confirm('您确定要删除么？', 
      function () {
  	    var param = {'ntf_id': ntf_id};
        $.showIndicator();
        $.ajax({
            type: "POST",
            url: basePath + "updateStarts",
            data: param,
            success: function(data) {
              //关闭进度条
              $.hideIndicator();
              if(data.code == "TRUE"){
                DMX.ownMessagePage.initOwnMessagePageData();
              }else if(data.code == "FALSE"){
                $.toast(data.msg);
              }
            },
          timeout:15000,
          error:function(XMLHttpRequest, textStatus, errorThrown){
            $.hideIndicator();
            if(textStatus == "timeout"){
              $.toast("获取超时");
            }else{
              $.toast("获取失败,请重试");
            }
          }
        });
      },
      function () {
      }
    );
	};

	var goToBack=function(){
	    if(goToOwnMessagePageState === 0){
            $.router.loadPage("#mainPage");
	    }else if(goToOwnMessagePageState === 1){
            $.router.loadPage("#ownmainPage");
	    }
	};
return {
	goToOwnMessagePage:goToOwnMessagePage,
	setInitownMessagePageData:setInitownMessagePageData,
	initOwnMessagePageData:initOwnMessagePageData,
	delectmsg:delectmsg,
	changeMessage:changeMessage,
	goToBack:goToBack
};
})();