
/**
 * 我的订单 ownOrderPage.js
 * @author lijin
 */
DMX.namespace("ownOrderPage");
DMX.ownOrderPage = (function() {
  /**
   * 别人的预定以及自己的预定的信息
   */
  function goToownOrderPage(){
    $.router.loadPage("#ownOrderPage");
    //初始化页面的数据为空
    DMX.ownOrderPage.initownOrderPageData();
    DMX.ownOrderPage.changeorderMsg();
  }
  
  /**
   * 修改消息状态
   */
  function changeorderMsg(){
    //传参
    var param = {
      'user_id': userInfo.user_id
    };
    $.ajax({
      type: "POST",
      url: basePath + "updateOrderIsActivate",
      data: param,
      success: function(data) {
        //关闭进度条
        $.hideIndicator();
        if(data.code == "TRUE"){
        }else if(data.code == "FALSE"){
          $.toast(data.msg);
        }
      },
    timeout:15000,
    error:function(XMLHttpRequest, textStatus, errorThrown){
      $.hideIndicator();
      if(textStatus == "timeout"){
        $.toast("获取超时");
      }else{
        $.toast("获取失败,请重试");
      }
    }
  });
  }
  
  
  
  
  
  /**
   * 进行初始化数据
   */
  function initownOrderPageData(){
    $("#ownOrderPage_center").html("");
    var param = {'user_id': userInfo.user_id};
    $.showIndicator();
    $.ajax({
        type: "POST",
        url: basePath + "getUserBookInfo",
        data: param,
        success: function(data) {
          //关闭进度条
          $.hideIndicator();
          if(data.code == "TRUE"){
            DMX.ownOrderPage.setInitownOrderPageData(data.obj);
          }else if(data.code == "FALSE"){
            $.toast(data.msg);
          }
        },
      timeout:15000,
      error:function(XMLHttpRequest, textStatus, errorThrown){
        $.hideIndicator();
        if(textStatus == "timeout"){
          $.toast("获取超时");
        }else{
          $.toast("获取失败,请重试");
        }
      }
    });
  }
  
  /**
   * 存放数据
   * @param {} data
   */
  //正在交易 
  var ownOrderPage_1=new Array();
  //交易完成
  var ownOrderPage_2=new Array();
  //取消订单
  var ownOrderPage_3=new Array();
  //超时
  var ownOrderPage_4=new Array();
  //确定是否接受兑换
  var ownOrderPage_5=new Array();
  //拒绝接受兑换
  var ownOrderPage_6=new Array();
  var setInitownOrderPageData=function(data){
    ownOrderPage_1=new Array();
    ownOrderPage_2=new Array();
    ownOrderPage_3=new Array();
    ownOrderPage_4=new Array();
    ownOrderPage_5=new Array();
    ownOrderPage_6=new Array();
    if(null != data && data.length != 0){
      for(var i=0;i<data.length;i++){
        var user_id=data[i].bk_userid;
        var bk_rcv_status=data[i].bk_rcv_status;
        var pay_status=data[i].pay_status;
        if(user_id == userInfo.user_id){
          if(bk_rcv_status == "1"){
            ownOrderPage_5.push(data[i]); 
          }
          if(bk_rcv_status == "2"){
            if(pay_status == "" || pay_status == "null" || pay_status == null){
              ownOrderPage_1.push(data[i]);  
            }
            if(pay_status == "2"){
              ownOrderPage_2.push(data[i]); 
            }
            if(pay_status == "4"){
              ownOrderPage_3.push(data[i]); 
            } 
            if(pay_status == "3"){
              ownOrderPage_4.push(data[i]);
            }
          }
          if(bk_rcv_status == "3"){
            ownOrderPage_6.push(data[i]); 
          }
        }else{
          if(bk_rcv_status == "1"){
            ownOrderPage_5.push(data[i]); 
          }
          if(bk_rcv_status == "2"){
            if(pay_status == "" || pay_status == "null" || pay_status == null){
              ownOrderPage_1.push(data[i]);    
            }
            if(pay_status == "2"){
              ownOrderPage_2.push(data[i]); 
            }
            if(pay_status == "4"){
              ownOrderPage_3.push(data[i]); 
            } 
            if(pay_status == "3"){
              ownOrderPage_4.push(data[i]); 
            }
          }
          if(bk_rcv_status == "3"){
            ownOrderPage_6.push(data[i]); 
          }
        }
      }
    }else{
      $.toast("没有预定信息!");
    }
    
    DMX.ownOrderPage.xuanrandoom();
  };
  
  
  /**
   * 确定是否接受兑换
   */
  var xuanrandoom=function(){
    $("#ownOrderPage_tab1").addClass("active");
    $("#ownOrderPage_tab2").removeClass("active");
    $("#ownOrderPage_tab3").removeClass("active");
    $("#ownOrderPage_tab4").removeClass("active");
    $("#ownOrderPage_tab5").removeClass("active");
    if(ownOrderPage_5.length == 0){
      $("#ownOrderPage_content").html("");
      $('#ownOrderPage_content').html('<img src="lib/img/null.png" style="width:10rem;margin:auto;display:block;margin-top:30%;"/>');
    }else{
      $("#ownOrderPage_content").html("");
      DMX.ownOrderPage.doom();
    }
  };
  
  
  /**
   * 渲染正在交易
   */
  var xuanrantradingnow=function(){
    $("#ownOrderPage_tab1").removeClass("active");
    $("#ownOrderPage_tab2").addClass("active");
    $("#ownOrderPage_tab3").removeClass("active");
    $("#ownOrderPage_tab4").removeClass("active");
    $("#ownOrderPage_tab5").removeClass("active");
    if(ownOrderPage_1.length == 0){
      $("#ownOrderPage_content").html("");
      $('#ownOrderPage_content').html('<img src="lib/img/null.png" style="width:10rem;margin:auto;display:block;margin-top:30%;"/>');
    }else{
      $("#ownOrderPage_content").html("");
      DMX.ownOrderPage.tradingnow();
    }
  };
  
  
  /**
   * 渲染完成交易
   */
  var xuanranCompletionoftransaction=function(){
    $("#ownOrderPage_tab1").removeClass("active");
    $("#ownOrderPage_tab2").removeClass("active");
    $("#ownOrderPage_tab3").addClass("active");
    $("#ownOrderPage_tab4").removeClass("active");
    $("#ownOrderPage_tab5").removeClass("active");
    if(ownOrderPage_2.length == 0){
      $("#ownOrderPage_content").html("");
      $('#ownOrderPage_content').html('<img src="lib/img/null.png" style="width:10rem;margin:auto;display:block;margin-top:30%;"/>');
    }else{
      $("#ownOrderPage_content").html("");
      DMX.ownOrderPage.Completionoftransaction();
    }
  };
  
  /**
   * 渲染过期订单
   */
  var xuanranBeoverdue=function(){
    $("#ownOrderPage_tab1").removeClass("active");
    $("#ownOrderPage_tab2").removeClass("active");
    $("#ownOrderPage_tab3").removeClass("active");
    $("#ownOrderPage_tab4").addClass("active");
    $("#ownOrderPage_tab5").removeClass("active");
    if(ownOrderPage_4.length == 0){
      $("#ownOrderPage_content").html("");
      $('#ownOrderPage_content').html('<img src="lib/img/null.png" style="width:10rem;margin:auto;display:block;margin-top:30%;"/>');
    }else{
      $("#ownOrderPage_content").html("");
      DMX.ownOrderPage.Beoverdue();
    }
  };
  
  
  /**
   * 渲染取消订单
   */
  var xuanranCancellationoforder=function(){
    $("#ownOrderPage_tab1").removeClass("active");
    $("#ownOrderPage_tab2").removeClass("active");
    $("#ownOrderPage_tab3").removeClass("active");
    $("#ownOrderPage_tab4").removeClass("active");
    $("#ownOrderPage_tab5").addClass("active");
    if(ownOrderPage_3.length == 0){
      $("#ownOrderPage_content").html("");
      $('#ownOrderPage_content').html('<img src="lib/img/null.png" style="width:10rem;margin:auto;display:block;margin-top:30%;"/>');
    }else{
      $("#ownOrderPage_content").html("");
      DMX.ownOrderPage.Cancellationoforder();
    }
  };
  
  
  /**
   *  确定是否接受兑换
   */
  var doom=function(){
    var html="";
    if(null != ownOrderPage_5 && ownOrderPage_5.length != 0){
       for(var i=0;i<ownOrderPage_5.length;i++){
         //发布类型
         var bk_type = ownOrderPage_5[i].bk_type;
         if( bk_type == 1){
           bk_type="供应";
         }else if(bk_type==2){
           bk_type="需求";
         }
         var bk_time = ownOrderPage_5[i].bk_time;
         if(bk_time=="" || bk_time == "null" || bk_time == null){
           bk_time="该记录缺失"
         }
         if(ownOrderPage_5[i].type == 1){
           //交易人
           var sn_targetusername=ownOrderPage_5[i].sn_targetusername
           if(sn_targetusername=="" || sn_targetusername == null || sn_targetusername== "null"){
             sn_targetusername="未知预定者";
           }
           html += '<div class="ownOrderPagelist">';
           html += '<div style="border-bottom: 1px solid #ddd;padding: 0.2rem 0.5rem;">';
           html += '<a style="color: #000000;"><img src="lib/img/index_center1.png"/></a>';
           html += '<a style="color: #000000;">'+sn_targetusername+'</a>';
           html += '<a style="float: right;margin-top: 0.3rem;">预定中，等待对方接受</a>';
           html += '</div>';
           html += '<div style="border-bottom: 1px solid #ddd;">';
           html += '<div style="background: #fdfdfd;padding: 0.2rem 0.5rem;">';
           html += '<p>类型：'+bk_type+'</p>';
           html += '<p>'+sn_targetusername+'发布的'+bk_type+'信息正在被您预定兑换，预定硬币枚数分别为：</p>';
           html += '<p>1元：<span style="margin-right:0.5rem;color:#DA251C;">'+ownOrderPage_5[i].coin_10+'</span>5角：<span style="margin-right:0.5rem;color:#DA251C;">'+ownOrderPage_5[i].coin_5+'</span>1角：<span style="margin-right:0.5rem;color:#DA251C;">'+ownOrderPage_5[i].coin_1+'</span></p>';
           html += '<p>联系电话：'+ownOrderPage_5[i].targetPhone+'</p>';
           html += '</div>';
           html += '<div style="text-align: right;padding: 0.2rem 0.5rem;">开始时间：'+bk_time+'</div>';
           html += '</div>';
           html += '</div>';
         }
         if(ownOrderPage_5[i].type == 2){
           //交易人
           var sn_sourceusername=ownOrderPage_5[i].sn_sourceusername
           if(sn_sourceusername=="" || sn_sourceusername == null || sn_sourceusername== "null"){
             sn_sourceusername="未知预定者";
           }
           html += '<div class="ownOrderPagelist">';
           html += '<div style="border-bottom: 1px solid #ddd;padding: 0.2rem 0.5rem;">';
           html += '<a style="color: #000000;"><img src="lib/img/index_center1.png"/></a>';
           html += '<a style="color: #000000;">'+sn_sourceusername+'</a>';
           html += '<a style="float: right;margin-top: 0.3rem;">预定中</a>';
           html += '</div>';
           html += '<div style="border-bottom: 1px solid #ddd;">';
           html += '<div style="background: #fdfdfd;padding: 0.2rem 0.5rem;">';
           html += '<p>类型：'+bk_type+'</p>';
           html += '<p>您发布的'+bk_type+'信息正在被'+sn_sourceusername+'预定兑换，预定硬币枚数分别为：</p>';
           html += '<p><p>1元：<span style="margin-right:0.5rem;color:#DA251C;">'+ownOrderPage_5[i].coin_10+'</span>5角：<span style="margin-right:0.5rem;color:#DA251C;">'+ownOrderPage_5[i].coin_5+'</span>1角：<span style="margin-right:0.5rem;color:#DA251C;">'+ownOrderPage_5[i].coin_1+'</span></p></p>';
           html += '<p>联系电话：'+ownOrderPage_5[i].sourcePhone+'</p>';
           html += '</div>';
           html += '<div style="text-align: right;padding: 0.2rem 0.5rem;">开始时间：'+bk_time+'</div>';
           html += '</div>';
           html += '<div style="padding:0.5rem;text-align: right;">';
           html += '<a class="ownOrderPagebutton" style="color:#DA251C;border-color:#DA251C;" onclick="DMX.ownOrderPage.choosedoom(\''+ownOrderPage_5[i].bk_id+'\',1)">接受</a>';
           html += '<a class="ownOrderPagebutton" style="color:#DA251C;border-color:#DA251C;" onclick="DMX.ownOrderPage.choosedoom(\''+ownOrderPage_5[i].bk_id+'\',2)">不接受</a>';
           html += '</div>';
           html += '</div>';
         }
       }
    }
    if(null != ownOrderPage_6 && ownOrderPage_6.length != 0){
      for(var i=0;i<ownOrderPage_6.length;i++){
        //发布类型
        var bk_type = ownOrderPage_6[i].bk_type;
        if( bk_type == 1){
          bk_type="供应";
        }else if(bk_type==2){
          bk_type="需求";
        }
        var bk_time = ownOrderPage_6[i].bk_time;
        if(bk_time=="" || bk_time == "null" || bk_time == null){
          bk_time="该记录缺失"
        }
        if(ownOrderPage_6[i].type == 1){
          //交易人
          var sn_targetusername=ownOrderPage_6[i].sn_targetusername
          if(sn_targetusername=="" || sn_targetusername == null || sn_targetusername== "null"){
            sn_targetusername="未知预定者";
          }
          html += '<div class="ownOrderPagelist">';
          html += '<div style="border-bottom: 1px solid #ddd;padding: 0.2rem 0.5rem;">';
          html += '<a style="color: #000000;"><img src="lib/img/index_center1.png"/></a>';
          html += '<a style="color: #000000;">'+sn_targetusername+'</a>';
          html += '<a style="float: right;margin-top: 0.3rem;">预定失败</a>';
          html += '</div>';
          html += '<div style="border-bottom: 1px solid #ddd;">';
          html += '<div style="background: #fdfdfd;padding: 0.2rem 0.5rem;">';
          html += '<p>类型：'+bk_type+'</p>';
          html += '<p>用户（'+sn_sourceusername+'）拒绝了您的预定，预定硬币枚数分别为：</p>';
          html += '<p>1元：<span style="margin-right:0.5rem;color:#DA251C;">'+ownOrderPage_6[i].coin_10+'</span>5角：<span style="margin-right:0.5rem;color:#DA251C;">'+ownOrderPage_6[i].coin_5+'</span>1角：<span style="margin-right:0.5rem;color:#DA251C;">'+ownOrderPage_6[i].coin_1+'</span></p>';
          html += '</div>';
          html += '<div style="text-align: right;padding: 0.2rem 0.5rem;">开始时间：'+bk_time+'</div>';
          html += '</div>';
          html += '</div>';
        }
        if(ownOrderPage_6[i].type == 2){
          //交易人
          var sn_sourceusername=ownOrderPage_6[i].sn_sourceusername
          if(sn_sourceusername=="" || sn_sourceusername == null || sn_sourceusername== "null"){
            sn_sourceusername="未知预定者";
          }
          html += '<div class="ownOrderPagelist">';
          html += '<div style="border-bottom: 1px solid #ddd;padding: 0.2rem 0.5rem;">';
          html += '<a style="color: #000000;"><img src="lib/img/index_center1.png"/></a>';
          html += '<a style="color: #000000;">'+sn_sourceusername+'</a>';
          html += '<a style="float: right;margin-top: 0.3rem;">预定失败</a>';
          html += '</div>';
          html += '<div style="border-bottom: 1px solid #ddd;">';
          html += '<div style="background: #fdfdfd;padding: 0.2rem 0.5rem;">';
          html += '<p>类型：'+bk_type+'</p>';
          html += '<p>您拒绝了用户（'+sn_sourceusername+'）的预定，预定硬币枚数分别为：</p>';
          html += '<p><p>1元：<span style="margin-right:0.5rem;color:#DA251C;">'+ownOrderPage_6[i].coin_10+'</span>5角：<span style="margin-right:0.5rem;color:#DA251C;">'+ownOrderPage_6[i].coin_5+'</span>1角：<span style="margin-right:0.5rem;color:#DA251C;">'+ownOrderPage_6[i].coin_1+'</span></p></p>';
          html += '</div>';
          html += '<div style="text-align: right;padding: 0.2rem 0.5rem;">开始时间：'+bk_time+'</div>';
          html += '</div>';
          html += '</div>';
        }
      }
   }

    
    
    $("#ownOrderPage_content").append(html);
  }
  
  
  
  /**
   *  正在交易
   */
  var tradingnow=function(){
    var html="";
    if(null != ownOrderPage_1 && ownOrderPage_1.length != 0){
      for(var i=0;i<ownOrderPage_1.length;i++){
        //发布类型
        var bk_type = ownOrderPage_1[i].bk_type;
        if( bk_type == 1){
          bk_type="供应";
        }else if(bk_type==2){
          bk_type="需求";
        }
        var pay_time = ownOrderPage_1[i].pay_time;
        if(pay_time=="" || pay_time == "null" || pay_time == null){
          pay_time="该记录缺失"
        }
        if(ownOrderPage_1[i].type == 1){
          //交易人
          var sn_targetusername=ownOrderPage_1[i].sn_targetusername
          if(sn_targetusername=="" || sn_targetusername == null || sn_targetusername== "null"){
            sn_targetusername="未知预定者";
          }
          html += '<div class="ownOrderPagelist">';
          html += '<div style="border-bottom: 1px solid #ddd;padding: 0.2rem 0.5rem;">';
          html += '<a style="color: #000000;"><img src="lib/img/index_center1.png"/></a>';
          html += '<a style="color: #000000;">'+sn_targetusername+'</a>';
          html += '<a style="float: right;margin-top: 0.3rem;">正在交易</a>';
          html += '</div>';
          html += '<div style="border-bottom: 1px solid #ddd;">';
          html += '<div style="background: #fdfdfd;padding: 0.2rem 0.5rem;">';
          html += '<p>类型：'+bk_type+'</p>';
          html += '<p>'+sn_targetusername+'发布的'+bk_type+'信息被您预定，预定硬币枚数分别为：</p>';
          html += '<p>1元：<span style="margin-right:0.5rem;color:#DA251C;">'+ownOrderPage_1[i].coin_10+'</span>5角：<span style="margin-right:0.5rem;color:#DA251C;">'+ownOrderPage_1[i].coin_5+'</span>1角：<span style="margin-right:0.5rem;color:#DA251C;">'+ownOrderPage_1[i].coin_1+'</span></p>';
          html += '<p>联系电话：'+ownOrderPage_1[i].targetPhone+'</p>';
          html += '</div>';
          html += '<div style="text-align: right;padding: 0.2rem 0.5rem;">开始时间：'+pay_time+'</div>';
          html += '</div>';
          html += '<div style="padding:0.5rem;text-align: right;">';
          html += '<a class="ownOrderPagebutton" style="color:#DA251C;border-color:#DA251C;" onclick="DMX.ownOrderPage.Cancellationofordercaozuo(\''+ownOrderPage_1[i].bk_id+'\')">取消订单</a>';
          html += '<a class="ownOrderPagebutton" style="color:#DA251C;border-color:#DA251C;" onclick="DMX.ownOrderPage.Completionoftransactioncaozuo(\''+ownOrderPage_1[i].bk_id+'\')">交易完成</a>';
          html += '</div>';
          html += '</div>';
        }
        if(ownOrderPage_1[i].type == 2){
          //交易人
          var sn_sourceusername=ownOrderPage_1[i].sn_sourceusername
          if(sn_sourceusername=="" || sn_sourceusername == null || sn_sourceusername== "null"){
            sn_sourceusername="未知预定者";
          }
          html += '<div class="ownOrderPagelist">';
          html += '<div style="border-bottom: 1px solid #ddd;padding: 0.2rem 0.5rem;">';
          html += '<a style="color: #000000;"><img src="lib/img/index_center1.png"/></a>';
          html += '<a style="color: #000000;">'+sn_sourceusername+'</a>';
          html += '<a style="float: right;margin-top: 0.3rem;">正在交易</a>';
          html += '</div>';
          html += '<div style="border-bottom: 1px solid #ddd;">';
          html += '<div style="background: #fdfdfd;padding: 0.2rem 0.5rem;">';
          html += '<p>类型：'+bk_type+'</p>';
          html += '<p>您发布的'+bk_type+'信息被'+sn_sourceusername+'预定，预定硬币枚数分别为：</p>';
          html += '<p><p>1元：<span style="margin-right:0.5rem;color:#DA251C;">'+ownOrderPage_1[i].coin_10+'</span>5角：<span style="margin-right:0.5rem;color:#DA251C;">'+ownOrderPage_1[i].coin_5+'</span>1角：<span style="margin-right:0.5rem;color:#DA251C;">'+ownOrderPage_1[i].coin_1+'</span></p></p>';
          html += '<p>联系电话：'+ownOrderPage_1[i].sourcePhone+'</p>';
          html += '</div>';
          html += '<div style="text-align: right;padding: 0.2rem 0.5rem;">开始时间：'+pay_time+'</div>';
          html += '</div>';
          html += '<div style="padding:0.5rem;text-align: right;">';
          html += '<a class="ownOrderPagebutton" style="color:#DA251C;border-color:#DA251C;" onclick="DMX.ownOrderPage.Cancellationofordercaozuo(\''+ownOrderPage_1[i].bk_id+'\')">取消订单</a>';
          html += '<a class="ownOrderPagebutton" style="color:#DA251C;border-color:#DA251C;" onclick="DMX.ownOrderPage.Completionoftransactioncaozuo(\''+ownOrderPage_1[i].bk_id+'\')">交易完成</a>';
          html += '</div>';
          html += '</div>';
        }
      }
    }
    $("#ownOrderPage_content").append(html);
  };
  
  
  /**
   * 完成交易
   */
  var Completionoftransaction=function(){
    var html="";
    if(null != ownOrderPage_2 && ownOrderPage_2.length != 0){
      for(var i=0;i<ownOrderPage_2.length;i++){
        //发布类型
        var bk_type = ownOrderPage_2[i].bk_type;
        if( bk_type == 1){
          bk_type="供应";
        }else if(bk_type==2){
          bk_type="需求";
        }
        //开始时间
        var pay_time = ownOrderPage_2[i].pay_end_time;
        if(pay_time == "" || pay_time == "null" || pay_time == null){
          pay_time="该记录缺失";
        }
        if(ownOrderPage_2[i].type == 1){
          //交易人
          var sn_targetusername=ownOrderPage_2[i].sn_targetusername
          if(sn_targetusername=="" || sn_targetusername == null || sn_targetusername== "null"){
            sn_targetusername="未知预定者";
          }
          html += '<div class="ownOrderPagelist">';
          html += '<div style="border-bottom: 1px solid #ddd;padding: 0.2rem 0.5rem;">';
          html += '<a style="color: #000000;"><img src="lib/img/index_center1.png"/></a>';
          html += '<a style="color: #000000;">'+sn_targetusername+'</a>';
          html += '<a style="float: right;margin-top: 0.3rem;">订单已完成</a>';
          html += '</div>';
          html += '<div style="border-bottom: 1px solid #ddd;">';
          html += '<div style="background: #fdfdfd;padding: 0.2rem 0.5rem;">';
          html += '<p>类型：'+bk_type+'</p>';
          html += '<p>'+sn_targetusername+'发布的'+bk_type+'信息被您预定，预定硬币枚数分别为：</p>';
          html += '<p>1元：<span style="margin-right:0.5rem;color:#DA251C;">'+ownOrderPage_2[i].coin_10+'</span>5角：<span style="margin-right:0.5rem;color:#DA251C;">'+ownOrderPage_2[i].coin_5+'</span>1角：<span style="margin-right:0.5rem;color:#DA251C;">'+ownOrderPage_2[i].coin_1+'</span></p>';
          html += '</div>';
          html += '<div style="text-align: right;padding: 0.2rem 0.5rem;">完成时间：'+pay_time+'</div>';
          html += '</div>';
          html += '</div>';
        }
        if(ownOrderPage_2[i].type == 2){
          //交易人
          var sn_sourceusername=ownOrderPage_2[i].sn_sourceusername
          if(sn_sourceusername=="" || sn_sourceusername == null || sn_sourceusername== "null"){
            sn_sourceusername="未知预定者";
          }
          html += '<div class="ownOrderPagelist">';
          html += '<div style="border-bottom: 1px solid #ddd;padding: 0.2rem 0.5rem;">';
          html += '<a style="color: #000000;"><img src="lib/img/index_center1.png"/></a>';
          html += '<a style="color: #000000;">'+sn_sourceusername+'</a>';
          html += '<a style="float: right;margin-top: 0.3rem;">订单已完成</a>';
          html += '</div>';
          html += '<div style="border-bottom: 1px solid #ddd;">';
          html += '<div style="background: #fdfdfd;padding: 0.2rem 0.5rem;">';
          html += '<p>类型：'+bk_type+'</p>';
          html += '<p>您发布的'+bk_type+'信息被'+sn_sourceusername+'预定，预定硬币枚数分别为：</p>';
          html += '<p><p>1元：<span style="margin-right:0.5rem;color:#DA251C;">'+ownOrderPage_2[i].coin_10+'</span>5角：<span style="margin-right:0.5rem;color:#DA251C;">'+ownOrderPage_2[i].coin_5+'</span>1角：<span style="margin-right:0.5rem;color:#DA251C;">'+ownOrderPage_2[i].coin_1+'</span></p></p>';
          html += '</div>';
          html += '<div style="text-align: right;padding: 0.2rem 0.5rem;">完成时间：'+pay_time+'</div>';
          html += '</div>';
          html += '</div>';
        }
      }
    }
    $("#ownOrderPage_content").append(html);
  };
  
  
  /**
   * 取消订单
   */
  var Cancellationoforder=function(){
    var html="";
    if(null != ownOrderPage_3 && ownOrderPage_3.length != 0){
      for(var i=0;i<ownOrderPage_3.length;i++){
        //发布类型
        var bk_type = ownOrderPage_3[i].bk_type;
        if( bk_type == 1){
          bk_type="供应";
        }else if(bk_type==2){
          bk_type="需求";
        }
        var pay_time = ownOrderPage_3[i].pay_time;
        if(pay_time=="" || pay_time == "null" || pay_time == null){
          pay_time="该记录缺失"
        }
        if(ownOrderPage_3[i].type == 1){
          //交易人
          var sn_targetusername=ownOrderPage_3[i].sn_targetusername
          if(sn_targetusername=="" || sn_targetusername == null || sn_targetusername== "null"){
            sn_targetusername="未知预定者";
          }
          html += '<div class="ownOrderPagelist">';
          html += '<div style="border-bottom: 1px solid #ddd;padding: 0.2rem 0.5rem;">';
          html += '<a style="color: #000000;"><img src="lib/img/index_center1.png"/></a>';
          html += '<a style="color: #000000;">'+sn_targetusername+'</a>';
          html += '<a style="float: right;margin-top: 0.3rem;">订单已取消</a>';
          html += '</div>';
          html += '<div style="border-bottom: 1px solid #ddd;">';
          html += '<div style="background: #fdfdfd;padding: 0.2rem 0.5rem;">';
          html += '<p>类型：'+bk_type+'</p>';
          html += '<p>'+sn_targetusername+'发布的'+bk_type+'信息被您预定，预定硬币枚数分别为：</p>';
          html += '<p>1元：<span style="margin-right:0.5rem;color:#DA251C;">'+ownOrderPage_3[i].coin_10+'</span>5角：<span style="margin-right:0.5rem;color:#DA251C;">'+ownOrderPage_3[i].coin_5+'</span>1角：<span style="margin-right:0.5rem;color:#DA251C;">'+ownOrderPage_3[i].coin_1+'</span></p>';
          html += '</div>';
          html += '<div style="text-align: right;padding: 0.2rem 0.5rem;">开始时间：'+pay_time+'</div>';
          html += '</div>';
          html += '</div>';
        }
        if(ownOrderPage_3[i].type == 2){
          //交易人
          var sn_sourceusername=ownOrderPage_3[i].sn_sourceusername
          if(sn_sourceusername=="" || sn_sourceusername == null || sn_sourceusername== "null"){
            sn_sourceusername="未知预定者";
          }
          html += '<div class="ownOrderPagelist">';
          html += '<div style="border-bottom: 1px solid #ddd;padding: 0.2rem 0.5rem;">';
          html += '<a style="color: #000000;"><img src="lib/img/index_center1.png"/></a>';
          html += '<a style="color: #000000;">'+sn_sourceusername+'</a>';
          html += '<a style="float: right;margin-top: 0.3rem;">订单已取消</a>';
          html += '</div>';
          html += '<div style="border-bottom: 1px solid #ddd;">';
          html += '<div style="background: #fdfdfd;padding: 0.2rem 0.5rem;">';
          html += '<p>类型：'+bk_type+'</p>';
          html += '<p>您发布的'+bk_type+'信息被'+sn_sourceusername+'预定，预定硬币枚数分别为：</p>';
          html += '<p><p>1元：<span style="margin-right:0.5rem;color:#DA251C;">'+ownOrderPage_3[i].coin_10+'</span>5角：<span style="margin-right:0.5rem;color:#DA251C;">'+ownOrderPage_3[i].coin_5+'</span>1角：<span style="margin-right:0.5rem;color:#DA251C;">'+ownOrderPage_3[i].coin_1+'</span></p></p>';
          html += '</div>';
          html += '<div style="text-align: right;padding: 0.2rem 0.5rem;">开始时间：'+pay_time+'</div>';
          html += '</div>';
          html += '</div>';
        }
      }
    }
    $("#ownOrderPage_content").append(html);
  };
  
  
  
  /**
   * 过期订单
   */
  var Beoverdue=function(){
    var html="";
    if(null != ownOrderPage_4 && ownOrderPage_4.length != 0){
      for(var i=0;i<ownOrderPage_4.length;i++){
        //发布类型
        var bk_type = ownOrderPage_4[i].bk_type;
        if( bk_type == 1){
          bk_type="供应";
        }else if(bk_type==2){
          bk_type="需求";
        }
        var pay_time = ownOrderPage_4[i].pay_time;
        if(pay_time=="" || pay_time == "null" || pay_time == null){
          pay_time="该记录缺失"
        }
        if(ownOrderPage_4[i].type == 1){
          //交易人
          var sn_targetusername=ownOrderPage_4[i].sn_targetusername
          if(sn_targetusername=="" || sn_targetusername == null || sn_targetusername== "null"){
            sn_targetusername="未知预定者";
          }
          html += '<div class="ownOrderPagelist">';
          html += '<div style="border-bottom: 1px solid #ddd;padding: 0.2rem 0.5rem;">';
          html += '<a style="color: #000000;"><img src="lib/img/index_center1.png"/></a>';
          html += '<a style="color: #000000;">'+sn_targetusername+'</a>';
          html += '<a style="float: right;margin-top: 0.3rem;">订单已过期</a>';
          html += '</div>';
          html += '<div style="border-bottom: 1px solid #ddd;">';
          html += '<div style="background: #fdfdfd;padding: 0.2rem 0.5rem;">';
          html += '<p>类型：'+bk_type+'</p>';
          html += '<p>'+sn_targetusername+'发布的'+bk_type+'信息被您预定，预定硬币枚数分别为：</p>';
          html += '<p>1元：<span style="margin-right:0.5rem;color:#DA251C;">'+ownOrderPage_4[i].coin_10+'</span>5角：<span style="margin-right:0.5rem;color:#DA251C;">'+ownOrderPage_4[i].coin_5+'</span>1角：<span style="margin-right:0.5rem;color:#DA251C;">'+ownOrderPage_4[i].coin_1+'</span></p>';
          html += '</div>';
          html += '<div style="text-align: right;padding: 0.2rem 0.5rem;">开始时间：'+pay_time+'</div>';
          html += '</div>';
          html += '</div>';
        }
        if(ownOrderPage_4[i].type == 2){
          //交易人
          var sn_sourceusername=ownOrderPage_4[i].sn_sourceusername
          if(sn_sourceusername=="" || sn_sourceusername == null || sn_sourceusername== "null"){
            sn_sourceusername="未知预定者";
          }
          html += '<div class="ownOrderPagelist">';
          html += '<div style="border-bottom: 1px solid #ddd;padding: 0.2rem 0.5rem;">';
          html += '<a style="color: #000000;"><img src="lib/img/index_center1.png"/></a>';
          html += '<a style="color: #000000;">'+sn_sourceusername+'</a>';
          html += '<a style="float: right;margin-top: 0.3rem;">订单已过期</a>';
          html += '</div>';
          html += '<div style="border-bottom: 1px solid #ddd;">';
          html += '<div style="background: #fdfdfd;padding: 0.2rem 0.5rem;">';
          html += '<p>类型：'+bk_type+'</p>';
          html += '<p>您发布的'+bk_type+'信息被'+sn_sourceusername+'预定，预定硬币枚数分别为：</p>';
          html += '<p><p>1元：<span style="margin-right:0.5rem;color:#DA251C;">'+ownOrderPage_4[i].coin_10+'</span>5角：<span style="margin-right:0.5rem;color:#DA251C;">'+ownOrderPage_4[i].coin_5+'</span>1角：<span style="margin-right:0.5rem;color:#DA251C;">'+ownOrderPage_4[i].coin_1+'</span></p></p>';
          html += '</div>';
          html += '<div style="text-align: right;padding: 0.2rem 0.5rem;">开始时间：'+pay_time+'</div>';
          html += '</div>';
          html += '</div>';
        }
      }
    }
    $("#ownOrderPage_content").append(html);
  };
  
  
  
  /**
   * 拒绝或者接受预定
   */
  var choosedoom=function(id,i){
    if(i=="" || i==null || i=="null"){
      own_state=1;
    }
    if(i==1){
      own_state=2;
    }
    if(i==2){
      own_state=3;
    }
    console.log();
    var param={
      'user_id': userInfo.user_id,
      'bk_id': id,
      'bk_status':own_state
    };
    
    $.showIndicator();
    $.ajax({
        type: "POST",
        url: basePath + "updateBookinfoStatus",
        data: param,
        success: function(data) {
          //关闭进度条
          $.hideIndicator();
          if(data.code == "TRUE"){
            DMX.ownOrderPage.initownOrderPageData();
            $.toast("接受成功，请在我的订单中查询！");
          }else if(data.code == "FALSE"){
            $.toast(data.msg);
          }
        },
      timeout:15000,
      error:function(XMLHttpRequest, textStatus, errorThrown){
        $.hideIndicator();
        if(textStatus == "timeout"){
          $.toast("操作超时");
        }else{
          $.toast("操作失败,请重试");
        }
      }
    });
  }
  
  
  /**
   * 取消订单操作
   */
  var Cancellationofordercaozuo=function(id){
    var param={
      'bk_id': id,
      'pay_status': "N"
    };
    
    $.showIndicator();
    $.ajax({
        type: "POST",
        url: basePath + "updatePayStatus",
        data: param,
        success: function(data) {
          //关闭进度条
          $.hideIndicator();
          if(data.code == "TRUE"){
            DMX.ownOrderPage.initownOrderPageData();
            $.toast("取消成功！");
          }else if(data.code == "FALSE"){
            $.toast(data.msg);
          }
        },
      timeout:15000,
      error:function(XMLHttpRequest, textStatus, errorThrown){
        $.hideIndicator();
        if(textStatus == "timeout"){
          $.toast("操作超时");
        }else{
          $.toast("操作失败,请重试");
        }
      }
    });
  }
  
  
  /**
   * 完成订单
   */
  var Completionoftransactioncaozuo=function(id){
    var param={
      'bk_id': id,
      'pay_status': "Y"
    };
    
    $.showIndicator();
    $.ajax({
        type: "POST",
        url: basePath + "updatePayStatus",
        data: param,
        success: function(data) {
          //关闭进度条
          $.hideIndicator();
          if(data.code == "TRUE"){
            DMX.ownOrderPage.initownOrderPageData();
            $.toast("提交成功！");
          }else if(data.code == "FALSE"){
            $.toast(data.msg);
          }
        },
      timeout:15000,
      error:function(XMLHttpRequest, textStatus, errorThrown){
        $.hideIndicator();
        if(textStatus == "timeout"){
          $.toast("操作超时");
        }else{
          $.toast("操作失败,请重试");
        }
      }
    });
  };
  
  
  
  
  
  return {
    changeorderMsg:changeorderMsg,
    goToownOrderPage:goToownOrderPage,
    initownOrderPageData:initownOrderPageData,
    setInitownOrderPageData:setInitownOrderPageData,
    xuanrandoom:xuanrandoom,
    xuanrantradingnow:xuanrantradingnow,
    xuanranCompletionoftransaction:xuanranCompletionoftransaction,
    xuanranCancellationoforder:xuanranCancellationoforder,
    xuanranBeoverdue:xuanranBeoverdue,
    doom:doom,
    tradingnow:tradingnow,
    Completionoftransaction:Completionoftransaction,
    Cancellationoforder:Cancellationoforder,
    choosedoom:choosedoom,
    Beoverdue:Beoverdue,
    Cancellationofordercaozuo:Cancellationofordercaozuo,
    Completionoftransactioncaozuo:Completionoftransactioncaozuo
  };
})();