/**
 * 政策新闻页面
 * @author lijin
 */
/*总页数*/
var policynewslistDataCount=new Array();
var policynewslist;
DMX.namespace("policynewsPage");
DMX.policynewsPage = (function() {
  
	/*数据总条数*/
	var countnum;
	/*总页数*/
	var countpagenum;
	/*当前页数*/
	var pagenum;
	
	
	
	/**
	 * 进入政策新闻页面
	 * @author lijin
	 */
	var gotopolicynewsPage=function(){
		$.router.loadPage("#policynewsPage");
		$("#policynewsList").html("");
		DMX.policynewsPage.initpolicynewsData();
		DMX.policynewsPage.initpolicynewsRefresh();
		DMX.policynewsPage.initpolicynewsinfinite();
	};
	
	
	/**
	* 加载初始数据
	*/
  	var initpolicynewsData = function(){
	//传参
	  var param = {
	    'pageNum': 1
	  };
	  //开启进度条
	  $.showIndicator();
	  $.ajax({
		  type: "POST",
		  timeout:15000,
		  url: basePath + "getNewsInfo",
		  data: param,
		  success: function(data) {
			  //关闭进度条
			  $.hideIndicator();
			  var policynewsnumlist=data.msg;
			  var policynewsnumlists=policynewsnumlist.split("@");
			  if(data.code == "TRUE"){
				  //赋值
				  policynewslist=data.obj;
				  countnum=policynewsnumlists[1];
				  countpagenum=policynewsnumlists[2];
				  pagenum=Number(policynewsnumlists[3]);
				  policynewsListData();
			  }else if(data.code == "FALSE"){
				  $.toast(policynewsnumlists[0]);
			  }
		  },
		  error:function(XMLHttpRequest, textStatus, errorThrown){
			  $.hideIndicator();
			  if(textStatus == "timeout"){
				  $.toast("获取数据超时");
			  }else{
				  $.toast("获取数据超时,请重试");
			  }
		  }
	  });
  	};
  	
  	/**
  	* 赋值
  	*/

  	var  policynewsListData = function(){
  		$("#policynewsList").html("");
  		html="";
  		for(var i=0 ; i<policynewslist.length ; i++){
	  	    policynewslistDataCount.push(policynewslist[i]);
	  	    var start_time=policynewslist[i].start_time.split(" ");
	  	    html+='<li>';
    			html+='<a href="#" onclick="DMX.policynewsdetailsPage.showdetailedData(\''+policynewslist[i].new_id+'\')">';
    			html+='<img src="lib/img/personal3.png"/>';
    			html+='<div>';
    			html+='<p>'+policynewslist[i].new_title+'</p>';
    			html+='<label>'+ policynewslist[i].new_content.replace(/<[^>]+>/g,"")+'</label>';
    			html+='<span>'+start_time[0]+'</span>';
    			html+='</div>';
    			html+='</a>';
    			html+='</li>';
  		}
  		$("#policynewsList").append(html);
  	};
  	
  	/**
  	* 下拉
  	*/
  	var initpolicynewsRefresh = function (){
  		//初始化下拉
  		$.initPullToRefresh('#policynews-pull-to-refresh');
  		//下拉刷新所调用的方法
  		$(document).on('refresh', '#policynews-pull-to-refresh',function(e) {
  			$.pullToRefreshDone('#policynews-pull-to-refresh');
  		});
  	};



  	/**
  	* 上拉加载
  	*/
  	var initpolicynewsinfinite = function (){
  	  $(document).on('infinite', '#policynews-pull-to-refresh',function() {
  	    if (pagenum == countpagenum) {
  	        //关闭上拉加载数据
  	        //$.detachInfiniteScroll($('#policynews-pull-to-refresh'));
  	        //$('#policynews-infinite-scroll-preloader').css('display','none');
  	        $.toast("已加载完");
  	        return;
  	    }else if(pagenum < countpagenum){
  	      pagenum=Number(pagenum)+Number(1);
  	      DMX.policynewsPage.loadpolicynewsData();
  	    }
  	  });
  	};


  	/**
  	* 下拉加载数据
  	*/
  	var loadpolicynewsData = function(){
  	//传参
  	  var param = {
  	    'pageNum': pagenum
  	  };
  	  //开启进度条
  	  $.showIndicator();
  	  $.ajax({
  	    type: "POST",
  	    timeout:15000,
  	    url: basePath + "getNewsInfo",
  	    data: param,
  	    success: function(data) {
  	      //关闭进度条
  	      $.hideIndicator();
  	      var policynewsnumlist=data.msg;
  	      var policynewsnumlists=policynewsnumlist.split("@");
  	      if(data.code == "TRUE"){
  	        //赋值
  	        policynewslist=data.obj;
  	        countnum=policynewsnumlists[1];
  	        countpagenum=policynewsnumlists[2];
  	        pagenum=policynewsnumlists[3];
  	        DMX.policynewsPage.policynewsRefreshData();
  	      }else if(data.code == "FALSE"){
  	        $.toast(policynewsnumlists[0]);
  	      }
  	    },
  	    error:function(XMLHttpRequest, textStatus, errorThrown){
  	      $.hideIndicator();
  	      if(textStatus == "timeout"){
  	        $.toast("获取数据超时");
  	      }else{
  	        $.toast("获取数据超时,请重试");
  	      }
  	    }
  	  });
  	};


  	/**
  	* 下拉加载数据赋值
  	*/
  	var policynewsRefreshData = function (){
  	  html="";
  	  for(var i=0;i<policynewslist.length;i++){
  	    policynewslistDataCount.push(policynewslist[i]);
  	    var start_time=policynewslist[i].start_time.split(" ");
  	    html+='<li>';
    		html+='<a href="#" onclick="DMX.policynewsdetailsPage.showdetailedData(\''+policynewslist[i].new_id+'\')">';
    		html+='<img src="lib/img/personal3.png"/>';
    		html+='<div>';
    		html+='<p>'+policynewslist[i].new_title+'</p>';
    		html+='<label>'+ policynewslist[i].new_content.replace(/<[^>]+>/g,"")+'</label>';
    		html+='<span>'+start_time[0]+'</span>';
    		html+='</div>';
    		html+='</a>';
    		html+='</li>';
  	  }
  	  $("#policynewsList").append(html);
  	};
  	
  
  return {
    gotopolicynewsPage:gotopolicynewsPage,
    initpolicynewsData:initpolicynewsData,
    policynewsListData:policynewsListData,
    initpolicynewsRefresh:initpolicynewsRefresh,
    initpolicynewsinfinite:initpolicynewsinfinite,
    loadpolicynewsData:loadpolicynewsData,
    policynewsRefreshData:policynewsRefreshData
  };
})();


