/**
 *  预定 supplyDemandreservePage.js
 */
DMX.namespace("supplyDemandreservePage");
DMX.supplyDemandreservePage = (function() {
  
  /**
    * 进入兑换页面
    * @author lijin
    */
  var goTosupplyDemandreservePage=function(number,number2,i,makerlistData){
     var data=makerlistData[i];
     if(typeof(data)=="undefined"){
    	 data=makerlistData[number][i];
	 }
    if(Number(data.type) === 3 || Number(data.type) === 4){
      $.toast("银行和ENC尚未开放兑换");
      return;
    }
    if(userInfo.user_account == data.user_account){
      $.toast("不能兑换自己!");
      return;
    }else{
      DMX.supplyDemandreservePage.initsupplyDemandreservePage(data);
    }
  };
  
  /**
   * 初始化预定页面
   * @author lijin
   */
  var initsupplyDemandreservePage=function(data){
    $.router.loadPage("#supplyDemandreservePage");
    var user_nick=data.user_nick;
    if(null == user_nick || user_nick == "" || user_nick == "null"){
          user_nick="";
      }
      
      var user_company=data.user_company;
      if(null == user_company || user_company == "" || user_company == "null"){
          user_company="";
      }
      var user_name="";
      if(user_nick != ""){
        user_name=user_nick;
      }
      if(user_company != ""){
        user_name=user_company;
      }
      
      $("#supplyDemandDoomPage_user_nick").val(user_name);
      $("#supplyDemandDoomPage_coin_101").text(Number(data.coin_10)-Number(data.bk_coin_10));
      $("#supplyDemandDoomPage_coin_105").text(Number(data.coin_5)-Number(data.bk_coin_5));
      $("#supplyDemandDoomPage_coin_1010").text(Number(data.coin_1)-Number(data.bk_coin_1)); 
      $("#supplyDemandDoomPageObject").text(JSON.stringify(data));  
      $("#supplyDemandDoomPage_coin_10").val("");
      $("#supplyDemandDoomPage_coin_5").val("");
      $("#supplyDemandDoomPage_coin_1").val("");
    
  };
  
  
  /**
   * 进行提交预定量
   * @author lijin
   * 
   */
  var supplyDemandDoomSubmint=function(){
  //进行判断
    var supplyDemandDoomPage_coin_101=$.trim($("#supplyDemandDoomPage_coin_101").text());
      var supplyDemandDoomPage_coin_105=$.trim($("#supplyDemandDoomPage_coin_105").text());
      var supplyDemandDoomPage_coin_1010=$.trim($("#supplyDemandDoomPage_coin_1010").text()); 
      
      var supplyDemandDoomPage_coin_10=$.trim($("#supplyDemandDoomPage_coin_10").val());
      var supplyDemandDoomPage_coin_5=$.trim($("#supplyDemandDoomPage_coin_5").val());
      var supplyDemandDoomPage_coin_1=$.trim($("#supplyDemandDoomPage_coin_1").val());
      
    if(null == supplyDemandDoomPage_coin_10  || typeof(supplyDemandDoomPage_coin_10) == "undefined" || supplyDemandDoomPage_coin_10=="" ||  supplyDemandDoomPage_coin_10=="null"){
        supplyDemandDoomPage_coin_10=0;
    }  
    
    if(null == supplyDemandDoomPage_coin_5  || typeof(supplyDemandDoomPage_coin_5) == "undefined" || supplyDemandDoomPage_coin_5=="" ||  supplyDemandDoomPage_coin_5=="null"){
        supplyDemandDoomPage_coin_5=0;
    } 
    
    if(null == supplyDemandDoomPage_coin_1  || typeof(supplyDemandDoomPage_coin_1) == "undefined" || supplyDemandDoomPage_coin_1=="" ||  supplyDemandDoomPage_coin_1=="null"){
        supplyDemandDoomPage_coin_1=0;
    } 
    
    if(isNaN(Number(supplyDemandDoomPage_coin_10))){
      $.toast("格式不对!");
      return;
    }
    
    if(isNaN(Number(supplyDemandDoomPage_coin_5))){
      $.toast("格式不对!");
      return;
    }
    
    if(isNaN(Number(supplyDemandDoomPage_coin_1))){
      $.toast("格式不对!");
      return;
    }
    
    if(Number(supplyDemandDoomPage_coin_10) === 0 && Number(supplyDemandDoomPage_coin_5) === 0 && Number(supplyDemandDoomPage_coin_1) === 0){
      $.toast("请填写兑换量");
      return;
    }
    
    if(Number(supplyDemandDoomPage_coin_10) > Number(supplyDemandDoomPage_coin_101)){
      $.toast("1元兑换量已超");
      return;
    }
    if(Number(supplyDemandDoomPage_coin_5) > Number(supplyDemandDoomPage_coin_105)){
      $.toast("5角兑换量已超");
      return;
    }
    if(Number(supplyDemandDoomPage_coin_1) > Number(supplyDemandDoomPage_coin_1010)){
      $.toast("1角兑换量已超");
      return;
    }
    
    var supplyDemandDoomPageObject=JSON.parse($("#supplyDemandDoomPageObject").text());
    var end_time=supplyDemandDoomPageObject.end_time;
    if (end_time == null || end_time == "" || end_time == "null") {
      end_time = "";
    }else{
      var d1 = new Date();
      var d2 = new Date(end_time);
      d2.setDate(d1.getDate()+7);
      var year = d2.getFullYear();//年
      var month =  d2.getMonth()+1;//月 月比实际月份要少1
      var date = "";
      if (d2.getDate()<10) {
        date ="0" + d2.getDate()
      }else {
        date = d2.getDate();
      }
      end_time = year+"-"+month+"-"+date;
    }
    
    var param = {
      "user_id":userInfo.user_id,
      "sn_id":supplyDemandDoomPageObject.sn_id,
      "bk_type":supplyDemandDoomPageObject.type,
      "coin_10":supplyDemandDoomPage_coin_10,
      "coin_5":supplyDemandDoomPage_coin_5,
      "coin_1":supplyDemandDoomPage_coin_1,
      "end_time":end_time
    };
    $.showIndicator();
    //把预定信息传入
    $.ajax({
        type: "POST",
        url: basePath + "AddBooking",
        data: param,
        success: function(data) {
          //关闭进度条
          $.hideIndicator();
          if(data.code == "TRUE"){
            $.toast("下单成功，在我的订单查看！");
            DMX.ownmainPage.goToownmainPage();
          }else if(data.code == "FALSE"){
            $.toast(data.msg);
          }
        },
      timeout:15000,
      error:function(XMLHttpRequest, textStatus, errorThrown){
        $.hideIndicator();
        if(textStatus == "timeout"){
          $.toast("兑换超时");
        }else{
          $.toast("兑换失败,请重试");
        }
      }
      });
  };

  
  
  return {
    goTosupplyDemandreservePage:goTosupplyDemandreservePage,
    initsupplyDemandreservePage:initsupplyDemandreservePage,
    supplyDemandDoomSubmint:supplyDemandDoomSubmint
  };
})();


