/**
 * 首页主页面mainPage.JS
 * @author huangjun
 */
DMX.namespace("mainPage");
DMX.mainPage = (function() {
  
  /**
   * 控制显示影藏搜索框信息
   * false : 影藏
   * true  : 显示
   * @author huangjun
   */
  var mainPage_searchbar_flag=false;
  
  /**
   * 控制显示影藏首页动动快报
   * false : 影藏
   * true  : 显示
   * @author huangjun
   */
  var mainPage_news_flag=true;
  
  /**
   * 地图对象
   */
  var mainPage_map=null;
  
  
  /**
   * 地图坐标
   */
  var lng = null;
  var lat = null;
  //var map, geolocation;

  var markers=new Array();
  var marker=null;
  /**
   * 当前坐标
   */
  //var ownPoint=null;
  var circle=null;
  
  /**
   * 动动快报list
   */
  var adver=0;
  var advertisementlist="";
  var adversetInterval=new Array();
  
  /**
   * 动态坐标
   */
  var positionPicker=null;
  
  var mainPage_Drag=true;
  
  /**
   * 判断是否已经加载3级联动城市
   * */
  var mainPage_init=true;
  
  /**
   * 判断是否已经加载3级联动城市
   * */
  var mainPage_init_welcome=true;
  
  /**
   * 进入首页需要加载的方法
   * @author huangjun
   */
  var initMainPageMethod=function(dataState){
		$("#flashf5").addClass("Rotation");
		if(mainPage_init_welcome){
			if(mainPage_welcome_flag === 1){
			   DMX.mainPage.welcome_page();
			}
			DMX.mainPage.cleanoperationguide();
			mainPage_init_welcome=false;
		}
	    mainPage_map = new AMap.Map('mainPage_map_container', {
	      mapStyle: 'amap://styles/8426b7ef7bff879c90a99150015db49e',
	      resizeEnable: true,
	      zoom:13
	    });
	
	    if(mainPage_init){
	    	DMX.mainPage.cityPicker();
	    	mainPage_init=false;
	    }
    
	    if(dataState === 1){
			//getPhonePositionMain();
		}else{
			DMX.mainPage.initLocationMethod();
		}
	    //广告加载
	    DMX.mainPage.initadvertisement();
	    if(null != adversetInterval && adversetInterval.length != 0){
	      for(var i=0;i<adversetInterval.length;i++){
	        window.clearInterval(adversetInterval[i]);
	      }
	    }
	    var guanggaosetIntervalId=setInterval(function(){
	      DMX.mainPage.initswiperguanggao();
	    },5000);
	    adversetInterval.push(guanggaosetIntervalId);
  };
  
  
  /**
   *  欢迎模块初始化
   */
  
  var welcome_page = function(){
	  DMX.mainPage.countdown();
	  var swiper = new Swiper('.swiper-container', {
	      pagination: '.swiper-pagination',
	      paginationClickable: true
	  });
  };
  
  
  /**
   * 倒计时 
   */
  var countdown_time=10;
  var countdown = function(){
	  countdown_time--;
	  t = setTimeout('DMX.mainPage.countdown()', 1000);
	  if ( countdown_time <= 0 ){
		  clearTimeout(t);
		  $('.swiper-container').hide();
	  }
  };
  
  
  /**
   *  点击立即体验进入首页
   */
  var welcome_page_coles = function(){
	  $('.swiper-container').hide();
  };


  /**
	* 获取当前设备的地址 - GPS
	 */
	function getPhonePosition() {
		//开启进度条
		$.showIndicator();
		var options = {
			enableHighAccuracy: true,
			maximumAge: 1000,
			timeout:15000
		}

		var watchID = navigator.geolocation.getCurrentPosition(onSuccess, onError, options);

		function onSuccess(position) {
			//拼装高德地图转换GPS
			var gdhttp='http://restapi.amap.com/v3/assistant/coordinate/convert?locations=';
			gdhttp+=position.coords.longitude+','+position.coords.latitude;
			gdhttp+='&coordsys=gps&output=JSON&key=4cb05ee03bd5cc7c7d24a0ef70fe8a6f';
			$.ajax({
			  type: "GET",
			  url: gdhttp,
			  timeout:15000,
			  success: function(data){
				if(data.status == "1"){
					var locations=data.locations.split(",");
					geolocationData_longitude=Number(locations[0]);
					geolocationData_latitude=Number(locations[1]);
					geolocationData=[geolocationData_longitude,geolocationData_latitude];
					onSuccessMainPagePostion();
				}else if(data.status == "0"){
					//转换高德地图坐标失败
					$.toast("请检查网络!");
					$.hideIndicator();
				}
			  },
			  error:function(XMLHttpRequest, textStatus, errorThrown){
				  $.hideIndicator();
				  if(textStatus == "timeout"){
					$.toast("获取高德坐标超时!");
				  }else{
					$.toast("获取高德坐标失败!");
				  }
			  }
			});
		};

		function onError(error) {
		   $.hideIndicator();
		   if(error.code === 1){
				$.toast("请打开共享位置信息!");
		   }else if(error.code === 2){
				$.toast("请检查网络及GPS是否开启!");
		   }else if(error.code === 3){
				$.toast("获取位置信息超时!");
				//开启进度条
				onErrorMainPagePostion();
		   }
		}
	};


	/**
	* 获取当前设备的地址 - GPS
	 */
	var getPhonePositionMain=function () {
		//开启进度条
		$.showIndicator();
		var options = {
			enableHighAccuracy: true,
			maximumAge: 1000,
			timeout:5000
		}

		var watchID = navigator.geolocation.getCurrentPosition(onSuccess, onError, options);

		function onSuccess(position) {
			//拼装高德地图转换GPS
			var gdhttp='http://restapi.amap.com/v3/assistant/coordinate/convert?locations=';
			gdhttp+=position.coords.longitude+','+position.coords.latitude;
			gdhttp+='&coordsys=gps&output=JSON&key=4cb05ee03bd5cc7c7d24a0ef70fe8a6f';
			$.ajax({
			  type: "GET",
			  url: gdhttp,
			  timeout:5000,
			  success: function(data){
			  	$.hideIndicator();
				if(data.status == "1"){
					positionPicker.stop();
					var locations=data.locations.split(",");
					geolocationData_longitude=Number(locations[0]);
					geolocationData_latitude=Number(locations[1]);
					geolocationData = [geolocationData_longitude,geolocationData_latitude];
					positionPicker.start(geolocationData);
					onSuccessMainPagePostion();
				}else if(data.status == "0"){
					//转换高德地图坐标失败
					$.toast("请检查网络!");
				}
			  },
			  error:function(XMLHttpRequest, textStatus, errorThrown){
				  $.hideIndicator();
				  if(textStatus == "timeout"){
					$.toast("获取高德坐标超时!");
				  }else{
					$.toast("获取高德坐标失败!");
				  }
			  }
			});
		};

		function onError(error) {
		   $.hideIndicator();
		   if(error.code === 1){
				$.toast("请打开共享位置信息!");
		   }else if(error.code === 2){
				$.toast("请检查网络及GPS是否开启!");
		   }else if(error.code === 3){
				$.toast("定位失败");
				onErrorMainPagePostion();
		   }
		}
	};
  
  
  /**
   * 获取位置
   * @author hupengfei
   */
  var initLocationMethod = function(){
  	  getPhonePosition();
  };

	
  /**
   * 定位成功执行的方法
   */
  var onSuccessMainPagePostion=function(){
      //加载Marker图标
	  mainPage_map.setZoomAndCenter(13, geolocationData);
      mainPage_map.getCity(function(data) {
      	$.hideIndicator();
        if(data['province'] && typeof data['province'] == 'string') {
            $("#city-picker").html("");
            $("#city-picker").html(data['city'] || data['province']);
            $("#city-picker").attr('bid',data['province']);
            DMX.mainPage.loadingdataMarker();
        }
      });
  };

	
  /**
   * 定位失败执行的方法
   */
  var onErrorMainPagePostion=function(){
   	$.showIndicator();
	mainPage_map.getCity(function(data) {
		if (data['province'] && typeof data['province'] == 'string') {
		  $("#city-picker").html("");
  	      $("#city-picker").html(data['city'] || data['province']);
		  $("#city-picker").attr('bid',data['province']);
		  AMap.service(["AMap.Geocoder"], function() {
		  	$.hideIndicator(); 
			// 加载地理编码
          	var geocoder = new AMap.Geocoder({
              radius: 50,
              extensions: "base"
          	});
			// 根据地址获取坐标
			geocoder.getLocation(data['city'] || data['province'],function(status, result){
				 if (status == 'complete' && result.info == 'OK') {
				    var location=(result.geocodes)[0].location;
					mainPage_map.setZoomAndCenter(13,location);
					if(null == positionPicker) {
						DMX.mainPage.loadingdataMarker();
					}else{
						positionPicker.start(location);
					}
				 }
			});
		  });
		}
    });
  };
  
  /**
   * 选择地区进行定位
   * @author hupengfei
   */
  var initCityflashedMethod=function(cityInfo){
    DMX.mainPage.loadingdataMarker();
    DMX.viewlist.loadingdataviewlist();
    mainPage_map.setZoomAndCenter(13,cityInfo);
    positionPicker.start(cityInfo); 
  };
  
  /**
   * 进入城市地区三级联动选择页面需要加载的方法
   * @author hupengfei
   */
	var initcityPickerMethod = function(){
	  	AMapUI.loadUI(['misc/MobiCityPicker'], function(MobiCityPicker) {
	  		var cityPicker = new MobiCityPicker();
	  		AMap.event.addDomListener(document.getElementById('mainPage_address'), 'click', function(e) { 
	  		  cityPicker.show();
	  		});
	  		//监听城市选中事件
	  		cityPicker.on('citySelected', function(cityInfo) {
				positionPicker.stop();
	  			//隐藏城市列表
	  			cityPicker.hide();
	  			//选中的城市信息   复制给页面定位
	  			$('#mainPage_address').find('i').html(cityInfo.name);
	  			lng = cityInfo.lng;
	  			lat = cityInfo.lat;
	  			DMX.mainPage.initCityflashedMethod([lng,lat]);
	  		});
	  	});
	};
  
  /**
   * 显示影藏搜索以及动动快报模块
   * @author huangjun
   */
  var showHideMainPageSearchbar=function(){
    if(mainPage_news_flag){
      if(mainPage_searchbar_flag){
        mainPage_searchbar_flag=false;
        $("#mainPage_searchbar").show();
        $("#viewBarinfo").val("");
        $("#mainPage_content").css({"top":"5.4rem"});
      }else{
        mainPage_searchbar_flag=true;
        $("#mainPage_searchbar").hide();
        $("#mainPage_content").css({"top":"3.3rem"});
      }
    }else{
      if(mainPage_searchbar_flag){
        mainPage_searchbar_flag=false;
        $("#mainPage_searchbar").show();
        $("#viewBarinfo").val("");
        $("#mainPage_content").css({"top":"4rem"});
      }else{
        mainPage_searchbar_flag=true;
        $("#mainPage_searchbar").hide();
        $("#mainPage_content").css({"top":"2rem"});
      }
    }
  };
  
  
  /**
   * 关闭动动快报
   * 
   * @author huangjun
   */
  var closeMainPageNews=function(){
    mainPage_news_flag=false;
    $("#mainPage_news").css('display','none');
    $("#mainPage_content").css({"top":"2rem"});
  };
  
  
  /**
   * 控制地图还是列表
   * mainPage_chooseMapLine=Map  显示地图
   * mainPage_chooseMapLine=Line  显示列表
   * 
   * @author huangjun
   */
  var chooseMainPageMapLine=function(){
    if(mainPage_chooseMapLine == "Map"){
      mainPage_chooseMapLine="Line";
    }else if(mainPage_chooseMapLine == "Line"){
      mainPage_chooseMapLine="Map";
    }
    $("#flashf6").addClass("Rotation");
    //切换内容
    if(mainPage_chooseMapLine == "Map"){
      $(".in_con").removeClass('in_con_cur_qh');
      $("#mainPage_line_container").hide();
      $("#mainPage_map_container_div").show();
      $(".in_foot").show();
      $(".in_con_top a:first-child").css('display','block');
      $("#mainPage_icon_map_line").removeClass("icon-location");
      $("#mainPage_icon_map_line").addClass("icon-menu");
      $(".in_con_top,.in_foot").addClass();
      $("#flashf6").removeClass("Rotation");
    }else if(mainPage_chooseMapLine == "Line"){
    	goToPageState="viewlist";
      if(userInfo == null){
        DMX.loginPage.goToLoginPage();
        mainPage_chooseMapLine="Map";
        $("#flashf6").removeClass("Rotation");
      }else{
    	  $(".in_con_top,.in_foot").removeClass('in_con_cur');
      	  $(".in_con").removeClass('in_con_cur').addClass('in_con_cur_qh');
      	  $("#mainPage_line_container").show();
      	  $("#mainPage_map_container_div").hide();
      	  $(".in_foot").hide();
      	  $(".in_con_top a:first-child").hide();
      	  $("#mainPage_icon_map_line").removeClass("icon-menu");
      	  $("#mainPage_icon_map_line").addClass("icon-location");
      	  DMX.viewlist.loadingdataviewlist();
      }
    }
  };
  
  /**
   * 点击供，需，机具显示隐藏
   * 
   * @author hupengfei
   */
  var mainPage_choose_change = function(){
    	if($(".mainPage_choose_list").is(":hidden")){
    	  $("#mainPage_chooseOptions").css({"border-top-left-radius":"0px","border-top-right-radius":"0px"});    
    	}else{
    		$("#mainPage_chooseOptions").css({"border-top-left-radius":"3px","border-top-right-radius":"3px"});
    	}
    	$(".mainPage_choose_list").slideToggle("fast");
  };
  
  
  
  /**
   * 强制输入数字
   * @returns
   */
  var getMyCheckBoxViewConditionNumber=function(){
    var myCheckBoxViewCondition_number_1=$("#myCheckBoxViewCondition_number_1").val();
    if(null == myCheckBoxViewCondition_number_1 || myCheckBoxViewCondition_number_1 == "" || typeof(myCheckBoxViewCondition_number_1) == "undefined"){
      myCheckBoxViewCondition_number_1="";
    }
    var myCheckBoxViewCondition_number_2=$("#myCheckBoxViewCondition_number_2").val();
    if(null == myCheckBoxViewCondition_number_2 || myCheckBoxViewCondition_number_2 == "" || typeof(myCheckBoxViewCondition_number_2) == "undefined"){
      myCheckBoxViewCondition_number_2="";
    }
    return myCheckBoxViewCondition_number_1+","+myCheckBoxViewCondition_number_2;
  };
  
  
  
  /**
   * 加载数据
   * 
   * @author lijin
   */
  var loadingdataMarker=function(){
  	if(mainPage_Drag){
      //进行渲染拖动坐标问题
      DMX.mainPage.initDragOwnMainPageMaker();
      mainPage_Drag=false;
    }
  
    if(markers.length != 0){
      for(var i=0;i<markers.length;i++){
        markers[i].setMap(null);
      }
      markers=new Array();
    }
    
    //进行传参请求数据,获取需要搜索的信息
    //搜索条件
    var viewBarinfo=$.trim($("#viewBarinfo").val());
    if(viewBarinfo == "null" || viewBarinfo == "" || viewBarinfo == null){
      viewBarinfo=$.trim($("#city-picker").html());
    }else{
      viewBarinfo=$.trim($("#viewBarinfo").val());
    }
    var Searchleixing="";
    //类型
    var ul1=$("#Searchleixing li"); 
    for(var i=0;i<ul1.length;i++){
      if(ul1[i].getAttribute("class") == "cur"){
        Searchleixing += ul1[i].value +",";
      }
    }
    
    //最大金额
    var maxcoin=Number($.trim($("#maxcoin").val()));
    //最小金额
    var mincoin=Number($.trim($("#mincoin").val()));
    
    var Searchjine="";
    //金额
    var ul2=$("#Searchjine li"); 
    for(var i=0;i<ul2.length;i++){
      if(ul2[i].getAttribute("class") == "cur"){   
        Searchjine = ul2[i].value;
      }
    }
    if( mincoin == "" && maxcoin == ""){
      if(Searchjine == "100"){
        maxcoin=100;
        mincoin=100;
      }
      if(Searchjine == "200"){
        maxcoin=200;
        mincoin=200;
      }
      if(Searchjine == "500"){
        maxcoin=500;
        mincoin=500;
      }
      if(Searchjine == "1000"){
        maxcoin=1000;
        mincoin=1000;
      }
    }

    if(maxcoin == 0){
      maxcoin = "";
    }
    if(mincoin == 0){
      mincoin = "";
    }

    //传参
    var param = {
      'location_info': viewBarinfo,
      'type':Searchleixing,
      'mintotalmoney':mincoin,
      'maxtotalmoney':maxcoin
    };
    
    //开启进度条
    $.showIndicator();
    $.ajax({
      type: "POST",
      url: basePath + "getSnNpLocationInfo",
      data: param,
      success: function(data) {
        $.hideIndicator();
        if(data.code == "TRUE"){ 
          DMX.mainPage.xuanRanMapMarker(data.obj);  
        }else if(data.code == "FALSE"){
          $.toast(data.msg);
        }
      },
      timeout:15000,
      error:function(XMLHttpRequest, textStatus, errorThrown){
        $.hideIndicator();
        if(textStatus == "timeout"){
          $.toast("加载信息超时");
        }else{
          $.toast("加载失败,请重试");
        }
      }
    });
  };
  
  
  
  /**
   * 渲染地图的Marker
   * @returns
   */
  var xuanRanMapMarker=function(data){
    var address = $('#city-picker').attr('bid');
    var icon_demand=basePath+"phone/lib/img/icon2.png";
    var icon_enc=basePath+"phone/lib/img/icon3.png";
    var icon_all=basePath+"phone/lib/img/icon1.png";
    var icon_enterprise=basePath+"phone/lib/img/icon7.png";
    var icon_bank=basePath+"phone/lib/img/icon9.png";
    var dataArray=data;
    //X坐标@@Y坐标：“3||5”;
    //3：设备和银行 /5：需求和供应 /35：4个都满足
    //7:企业 9：银行
    for(var key in dataArray){
      var dataxyArray=key.split("@@");
      var datakeyvalue=dataArray[key];
      var datakeyvalueArray=datakeyvalue.split("%");
      if(datakeyvalueArray[0].indexOf("3") >= 0 && datakeyvalueArray[0].indexOf("5") < 0 && datakeyvalueArray[0].indexOf("7") < 0 && datakeyvalueArray[0].indexOf("9") < 0){
        marker=new AMap.Marker({
          /*icon:icon_enc,*/
          position: [Number(dataxyArray[0]),Number(dataxyArray[1])],
          clickable:true,
          topWhenClick:false,
          map: mainPage_map,
          extData:"3",
          icon: new AMap.Icon({
            image: icon_enc,
            size: new AMap.Size(27, 25),  //图标大小
            imageSize: new AMap.Size(27,25)
          })
        });
      }else if(datakeyvalueArray[0].indexOf("3") < 0 && datakeyvalueArray[0].indexOf("5") >= 0 && datakeyvalueArray[0].indexOf("7") < 0 && datakeyvalueArray[0].indexOf("9") < 0){
        marker=new AMap.Marker({
          /*icon:icon_demand,*/
          position: [Number(dataxyArray[0]),Number(dataxyArray[1])],
          clickable:true,
          topWhenClick:false,
          map: mainPage_map,
          extData:"5",
          icon: new AMap.Icon({            
            image: icon_demand,
            size: new AMap.Size(27, 25),  //图标大小
            imageSize: new AMap.Size(27,25)
          })   
        });
      }else if(datakeyvalueArray[0].indexOf("3") < 0 && datakeyvalueArray[0].indexOf("5") < 0 && datakeyvalueArray[0].indexOf("7") >= 0 && datakeyvalueArray[0].indexOf("9") < 0){
        marker=new AMap.Marker({
          /*icon:icon_demand,*/
          position: [Number(dataxyArray[0]),Number(dataxyArray[1])],
          clickable:true,
          topWhenClick:false,
          map: mainPage_map,
          extData:"7",
          icon: new AMap.Icon({            
            image: icon_enterprise,
            size: new AMap.Size(27, 25),  //图标大小
            imageSize: new AMap.Size(27,25)
          })   
        });
        if(address.indexOf("安徽")>-1){
            // 设置label标签
            marker.setLabel({ //label默认蓝框白底左上角显示，样式className为：amap-marker-label
                offset: new AMap.Pixel(20, 0), //修改label相对于maker的位置
                content: dataxyArray[2]
            });
        }
      }else if(datakeyvalueArray[0].indexOf("3") < 0 && datakeyvalueArray[0].indexOf("5") < 0 && datakeyvalueArray[0].indexOf("7") < 0 && datakeyvalueArray[0].indexOf("9") >= 0){
        marker=new AMap.Marker({
          /*icon:icon_demand,*/
          position: [Number(dataxyArray[0]),Number(dataxyArray[1])],
          clickable:true,
          topWhenClick:false,
          map: mainPage_map,
          extData:"9",
          icon: new AMap.Icon({            
            image: icon_bank,
            size: new AMap.Size(27, 25),  //图标大小
            imageSize: new AMap.Size(27,25)
          })   
        });
        if(address.indexOf("安徽")>-1){
            // 设置label标签
            marker.setLabel({ //label默认蓝框白底左上角显示，样式className为：amap-marker-label
                offset: new AMap.Pixel(20, 0), //修改label相对于maker的位置
                content: dataxyArray[2]
            });
        }
      }else if(datakeyvalueArray[0]!="" || datakeyvalueArray[0]!= null){
        marker=new AMap.Marker({
          /*icon:icon_all,*/
          position: [Number(dataxyArray[0]),Number(dataxyArray[1])],
          clickable:true,
          topWhenClick:false,
          map: mainPage_map,
          extData:"3or5or7or9",
          icon: new AMap.Icon({            
            image: icon_all,
            size: new AMap.Size(27, 25),  //图标大小
            imageSize: new AMap.Size(27,25)
          })
        });
      }

      
      var number_map=datakeyvalueArray[1];
      var x_1=0;
      var y_1=0;
      if(number_map == "" || Number(number_map)<=9){
        x_1=0;
        y_1=-28;
      }
      if(Number(number_map)>=10){
        x_1=-6;
        y_1=-30;
      }
      if(Number(number_map)>=99){
        number_map="99";
      }
      if(datakeyvalueArray[0].indexOf("3")>=0 && datakeyvalueArray[0].indexOf("5")>=0){
        marker=new AMap.Marker({
          content:"<div style='color:red;font-size: 12px;font-weight:bold;'>"+number_map+"</div>",
          position: [Number(dataxyArray[0]),Number(dataxyArray[1])],
          clickable:true,
          topWhenClick:true,
          offset: new AMap.Pixel(x_1,y_1),
          map: mainPage_map,
          extData:"3and5"
        });
      }
      
      //绑定marker的点击事件
      AMap.event.addListener(marker, 'click',function(e){
        DMX.mainPage.openViewContentData(e.target.getPosition(),e.target.getExtData());
      });
      markers.push(marker);
    }
  };
  
  
  
  /**
   * 条件查询
   * @returns
   */
  var ConditionSearchmapandviewlist=function(){
    DMX.mainPage.loadingdataMarker();
    DMX.viewlist.loadingdataviewlist();
  };
  
  
  
  /**
   * 点击图标查询列表
   * @returns
   */
  var openViewContentData=function(data,param){
    DMX.makerlistPage.goToMakerlistPage(data,param);
    //DMX.viewlist.loadingdataMakerlist(data,param);
  };
  
  /**
   *初始化进行拖动坐标
   *
   *@author huangjun
   */
  var initDragOwnMainPageMaker=function(){
    var state_dragMaker=true;
    AMapUI.loadUI(['misc/PositionPicker'], function(PositionPicker) {
        positionPicker = new PositionPicker({
            mode:'dragMap',
            map: mainPage_map
        });
        
        positionPicker.on('success', function(positionResult) {
              geolocationData=positionResult.position;
              $("#mainPage_dragAddress").text(positionResult.address);
        });
        positionPicker.on('fail', function(positionResult) {
           $.toast("获取失败");
        });
        positionPicker.start(geolocationData);
    });
  };
  
  
  
  /**
   * 加载广告数据
   * @returns
   */
  var initadvertisement=function(){
    $.ajax({
      type: "POST",
      url: basePath + "getRollInfo",
      success: function(data) {
        $.hideIndicator();
        if(data.code == "TRUE"){
          advertisementlist=data.obj;
          DMX.mainPage.supplyinitadvertisement();
        }else if(data.code == "FALSE"){
          $.toast(data.msg);
        }
      },
      timeout:15000,
      error:function(XMLHttpRequest, textStatus, errorThrown){
        $.hideIndicator();
        if(textStatus == "timeout"){
          $.toast("加载信息超时");
          
        }else{
          $.toast("加载失败,请重试");
        }
      }
    });
  };
  
  
  
  /**
   * 渲染广告
   * @returns
   */
  var supplyinitadvertisement=function(){
    $("#supplyadvertisement").html("");
    html="";
    for(var i=0;i<advertisementlist.length;i++){
      var title=advertisementlist[i].title;
      html += "<div style='font-size:0.5rem;height:1.2rem;line-height:1.1rem;overflow:hidden;white-space:nowrap;display:none;overflow:hidden;text-overflow:ellipsis;'><nobr>"+title+"</nobr></div>"; 
    }
    $("#supplyadvertisement").append(html);
    $("#supplyadvertisement div").eq(0).fadeIn();
  };
  
  
  var initswiperguanggao=function(){
    $("#supplyadvertisement div").eq(adver).fadeIn();
    $("#supplyadvertisement div").not($("#supplyadvertisement div").eq(adver)).fadeOut();
    adver++;
    if(adver>=advertisementlist.length){
      adver=0;
    }
  };
  
  var toggleClick = function(e){
	  if($(e).hasClass('cur')){
		  $(e).removeClass('cur');
		  $('.in_foot,.in_con_top').removeClass('in_con_cur');
		  $('.in_foot_inter').removeClass('in_foot_inter_cur');
		  $('.in_foot_foot').removeClass('in_foot_foot_cur');
	  }else{
		  $(e).addClass('cur');
		  $('.in_foot,.in_con_top').addClass('in_con_cur');
		  $('.in_foot_inter').addClass('in_foot_inter_cur');
		  $('.in_foot_foot').addClass('in_foot_foot_cur');
	  }
  };


  /**
   * 返回到主界面
   */
  var goToBack=function(){
	$.router.loadPage("#mainPage");
	DMX.mainPage.ConditionSearchmapandviewlist();
  };

/**
   * 导航指引
   * @returns
   */
  var operationguide=function(){
    document.cookie="operationguide=yes";
    document.getElementById("operationguide").style.display="none";
  };
  
  var cleanoperationguide=function(){
    //使用方式：
    var operationguide=DMX.util.get_cookie("operationguide");
    if(operationguide=="" || operationguide=="null" || operationguide==null){
      document.getElementById("operationguide").style.display="none";
    }else{
      document.getElementById("operationguide").style.display="none";
    }
  };
  
  /**
   * light7城市选择
   * @author hupengfei
   */
  var cityChoice = function(){
  	var province = $('.col-province .picker-selected').html();   //省份
  	var city = $('.col-city .picker-selected').html();  //城市
  	if(city=="全部"){
  		city = province;
  	}
  	$('#city-picker').html(city);
  	$('#city-picker').attr('bid',province);
  	mainPage_map.getCity(function(data) {
  		AMap.service(["AMap.Geocoder"], function() {
		  	$.hideIndicator(); 
			// 加载地理编码
		  	var geocoder = new AMap.Geocoder({radius: 50,extensions: "base"});
			// 根据地址获取坐标
			geocoder.getLocation(city,function(status, result){
				 if (status == 'complete' && result.info == 'OK') {
				    var location=(result.geocodes)[0].location;
						mainPage_map.setZoomAndCenter(13,location);
						if(null == positionPicker) {
							DMX.mainPage.loadingdataMarker();
						}else{
							positionPicker.start(location);
						}
					}
				});
		  });
  	});
  	DMX.mainPage.loadingdataMarker();
    DMX.viewlist.loadingdataviewlist();
  };
  
  
  
  
  /**
   * light7地图联动
   * @author hupengfei
   */
  var cityPicker = function(){
	  $("#city-picker").cityPicker({
	    toolbarTemplate: '<header class="bar bar-nav">\
	    <button class="button button-link pull-right close-picker" onclick="DMX.mainPage.cityChoice();">确定</button>\
	    <h1 class="title">地区选择</h1>\
	    </header>'
	  });
  };
  
  
  /**
   * 赋值我的消息的红点
   * @author lijin
   */
/*  var getmsg=function(){
    $("#index_megges").('<img src="lib/img/index_help.png" class="in_foot_right"/>');
    //用户信息获取
    if(null == userInfo){
      $.toast('用户信息获取失败!');
      return;
    }
    //传参
    var param = {
      'user_id': userInfo.user_id
    };
    //开启进度条
    $.showIndicator();
    $.ajax({
      type: "POST",
      url: basePath + "getNtfOrderIsActivate",
      data: param,
      success: function(data) {
        //关闭进度条
        $.hideIndicator();
        if(data.code == "TRUE"){
          var count=data.obj.NTF_COUNT;
          if(count<=0){
            console.log(0);
             <img src="lib/img/index_help.png" class="in_foot_right"/>
          }
          if(count>0){
            console.log(1);
          }
        }else if(data.code == "FALSE"){
        }
      },
    timeout:15000,
    error:function(XMLHttpRequest, textStatus, errorThrown){
      $.hideIndicator();
      if(textStatus == "timeout"){
        $.toast("获取信息超时");
      }else{
        $.toast("获取失败,请重试");
      }
    }
    });
  };*/


  /**
   * 返回主界面
   */
  var goToMainPage = function(){
     $.router.loadPage("#mainPage");
     DMX.mainPage.loadingdataMarker();
     DMX.viewlist.loadingdataviewlist();
  };
  
  return {
    goToMainPage : goToMainPage,
    initMainPageMethod:initMainPageMethod,
    showHideMainPageSearchbar:showHideMainPageSearchbar,
    closeMainPageNews:closeMainPageNews,
    chooseMainPageMapLine:chooseMainPageMapLine,
    initcityPickerMethod:initcityPickerMethod,
    initLocationMethod:initLocationMethod,
    initCityflashedMethod:initCityflashedMethod,
    mainPage_choose_change:mainPage_choose_change,
    getMyCheckBoxViewConditionNumber:getMyCheckBoxViewConditionNumber,
    loadingdataMarker:loadingdataMarker,
    xuanRanMapMarker:xuanRanMapMarker,
    ConditionSearchmapandviewlist:ConditionSearchmapandviewlist,
    openViewContentData:openViewContentData,
    initDragOwnMainPageMaker:initDragOwnMainPageMaker,
    initadvertisement:initadvertisement,
    supplyinitadvertisement:supplyinitadvertisement,
    initswiperguanggao:initswiperguanggao,
    toggleClick:toggleClick,
    welcome_page:welcome_page,
    welcome_page_coles:welcome_page_coles,
    countdown:countdown,
    getPhonePositionMain:getPhonePositionMain,
    goToBack:goToBack,
    operationguide:operationguide,
    cleanoperationguide:cleanoperationguide,
    cityPicker:cityPicker,
    cityChoice:cityChoice
  };
})();


