/**
 * 我的
 */
DMX.namespace("ownmainPage");
DMX.ownmainPage = (function() {
  
  
  /**
   * 进入我的页面
   */
  var goToownmainPage=function(){
    goToPageState="ownmainPage";
    if(userInfo == null){
      DMX.loginPage.goToLoginPage();
    }else{
      DMX.ownmainPage.initownmainPageMethod();
      DMX.ownmainPage.initOwnPageContentNumberData();
      DMX.ownmainPage.initOwnPageContentNumberData2();
      DMX.ownmainPage.initOwnPageContentNumberData3();
      DMX.ownmainPage.initOwnPageContentNumberData4();
    }
  };
  
  
  
  
  /**
   * 进入我的页面加载的方法
   * @author lijin
   */
  var initownmainPageMethod=function(){
    $.router.loadPage("#ownmainPage");
    $('#own_user_nick').html("");
    $('#own_location_info').html("");
    var userheaderimg=userInfo.user_icon;
    if(userheaderimg==null||userheaderimg=="" || userheaderimg== "null"){
      $("#userheader").attr("src","lib/img/1.png");
    }else{
      /*$("#userheader").attr("src",sourcePath+userheaderimg);
      document.getElementById(userheader).src="/servlet/CreateValidateNum?"+Math.random();*/
      $("#userheader").attr("src",src=sourcePath+userheaderimg+"?t=" + Math.random());
    }
    var user_nick=userInfo.user_nick;
    if(null == user_nick || user_nick == "" || typeof(user_nick) == "undefined"){
      user_nick="硬币管家";
    }
    $('#own_user_nick').html(userInfo.user_nick);
    if(userInfo.location_info==null){
    	$('#own_location_info').html("暂无地址信息");
    	return;
    }
    $('#own_location_info').html(userInfo.location_info);
  };
  
  
  /**
   * 赋值供应以及需求的数量显示
   * @author lijin
   */
  var initOwnPageContentNumberData=function(){
    $("#own_supply_number").text("");
    //用户信息获取
    if(null == userInfo){
      $.toast('用户信息获取失败!');
      return;
    }
    //传参
    var param = {
      'user_id': userInfo.user_id
    };
    //开启进度条
    $.showIndicator();
    $.ajax({
      type: "POST",
      url: basePath + "getNeedAndProviedIsActivate",
      data: param,
      success: function(data) {
        //关闭进度条
        $.hideIndicator();
        if(data.code == "TRUE"){
          var need_count=data.obj.NEED_COUNT;
          var prov_count=data.obj.PROV_COUNT;
          if(need_count == 0 && prov_count == 0){
            
          }else{
            $("#own_supply_number").text(need_count+prov_count); 
          }
        }else if(data.code == "FALSE"){
        }
      },
    timeout:15000,
    error:function(XMLHttpRequest, textStatus, errorThrown){
      $.hideIndicator();
      if(textStatus == "timeout"){
        $.toast("获取信息超时");
      }else{
        $.toast("获取失败,请重试");
      }
    }
    });
  }
  
  
  /**
   * 赋值我的订单的数量显示
   * @author lijin
   */
  var initOwnPageContentNumberData2=function(){
    $("#own_doom_number").text("");
    //用户信息获取
    if(null == userInfo){
      $.toast('用户信息获取失败!');
      return;
    }
    //传参
    var param = {
      'user_id': userInfo.user_id
    };
    //开启进度条
    $.showIndicator();
    $.ajax({
      type: "POST",
      url: basePath + "getOrderIsActivate",
      data: param,
      success: function(data) {
        //关闭进度条
        $.hideIndicator();
        if(data.code == "TRUE"){
          /*$("#own_doom_number").text(data.obj);*/
          var abolish=data.obj.ABOLISH;
          var others=data.obj.OTHERS;
          var success=data.obj.SUCCESS;
          var trading=data.obj.TRADING;
          var reserve=data.obj.RESERVE; 
          var tar_abolish=data.obj.TAR_ABOLISH;
          var tar_others=data.obj.TAR_OTHERS;
          var tar_success=data.obj.TAR_SUCCESS;
          var tar_trading=data.obj.TAR_TRADING; 
          var tar_reserve=data.obj.TAR_RESERVE; 
          if(abolish==0 && others==0 && success==0 && trading==0 && reserve==0 && tar_abolish==0 && tar_others==0 && tar_success==0 && tar_trading==0 && tar_reserve==0){
            
          }else{
            $("#own_doom_number").text(abolish+others+success+trading+reserve+tar_abolish+tar_others+tar_success+tar_trading+tar_reserve);
          }
        }else if(data.code == "FALSE"){
        }
      },
    timeout:15000,
    error:function(XMLHttpRequest, textStatus, errorThrown){
      $.hideIndicator();
      if(textStatus == "timeout"){
        $.toast("获取信息超时");
      }else{
        $.toast("获取失败,请重试");
      }
    }
    });
  };
  
  
  
  /**
   * 赋值我的消息的数量显示
   * @author lijin
   */
  var initOwnPageContentNumberData3=function(){
    //用户信息获取
    if(null == userInfo){
      $.toast('用户信息获取失败!');
      return;
    }
    //传参
    var param = {
      'user_id': userInfo.user_id
    };
    //开启进度条
    $.showIndicator();
    $.ajax({
      type: "POST",
      url: basePath + "getNtfOrderIsActivate",
      data: param,
      success: function(data) {
        //关闭进度条
        $.hideIndicator();
        if(data.code == "TRUE"){
          var count=data.obj.NTF_COUNT;
          if(count<=0){
            $("#ownMessagediv").html("");
            $("#ownMessagediv").append('消息');
          }
          if(count>0){
            $("#ownMessagediv").html("");
            $("#ownMessagediv").append('消息<div class="item-megges-num"></div>');
          }
        }else if(data.code == "FALSE"){
        }
      },
    timeout:15000,
    error:function(XMLHttpRequest, textStatus, errorThrown){
      $.hideIndicator();
      if(textStatus == "timeout"){
        $.toast("获取信息超时");
      }else{
        $.toast("获取失败,请重试");
      }
    }
    });
  };
  
  
  /**
   * 赋值我的积分的数量显示
   * @author lijin
   */
  var initOwnPageContentNumberData4=function(){
    //用户信息获取
    if(null == userInfo){
      $.toast('用户信息获取失败!');
      return;
    }
    //传参
    var param = {
      'user_id': userInfo.user_id
    };
    //开启进度条
    $.showIndicator();
    $.ajax({
      type: "POST",
      url: basePath + "getUserIntegral",
      data: param,
      success: function(data) {
        //关闭进度条
        $.hideIndicator();
        if(data.code == "TRUE"){
        }else if(data.code == "FALSE"){
          
        }
      },
    timeout:15000,
    error:function(XMLHttpRequest, textStatus, errorThrown){
      $.hideIndicator();
      if(textStatus == "timeout"){
        $.toast("获取信息超时");
      }else{
        $.toast("获取失败,请重试");
      }
    }
    });
  };
  
  
  
  /**
   * 退出
   */
  var btnExitId=function(){
    $(document).on('click', '#exitId', function() {
      
      var buttons1 = [{
        text: '切换账号',
        bold: true,
        onClick: function() {
          $.confirm('确认切换账号?', function () {
            $.toast("请稍等...");
            userInfo=null;
            DMX.loginPage.goToLoginPage();
          });
        }
      }];
      var buttons2 = [{
        text: '退出',
        bold: true,
        onClick: function() {
          $.confirm('确认退出应用?', function () {
            $.toast("正在安全退出...");
            userInfo=null;
            if (cordova.platformId == 'android') {
              setTimeout(function(){
                  navigator.app.exitApp();
              },2000);
            }else{
              setTimeout(function(){
                  $.router.loadPage("#mainPage");
              },2000);
            }
          });
        }
      }];
      var buttons3 = [{
        text: '取消',
        bg: 'danger'
      }];
      var groups = [buttons1,buttons2,buttons3];
      $.actions(groups);
    });
  };
  
  
  
  
  /**
   * 更换头像
   */
  var operationpicturemode=function(){
    if(userInfo == null){
      $.toast("请重新登录"); 
    }else{
      var buttons1 = [
        {
          text: '<div onclick="DMX.ownHeadimagesPage.goToOwnHeadimagesPage()">更换头像</div>',
          bold: true,
          color: 'danger'
        }   
      ];
      var buttons2 = [
        {
          text: '取消',
          bg: 'danger'
        }
      ];
      var groups = [buttons1, buttons2];
      $.actions(groups);
    }
  } 
  
  
  return {
    goToownmainPage:goToownmainPage,
    initownmainPageMethod:initownmainPageMethod,
    initOwnPageContentNumberData:initOwnPageContentNumberData,
    initOwnPageContentNumberData2:initOwnPageContentNumberData2,
    initOwnPageContentNumberData3:initOwnPageContentNumberData3,
    initOwnPageContentNumberData4:initOwnPageContentNumberData4,
    btnExitId:btnExitId,
    operationpicturemode:operationpicturemode
  };
})();


