/**
 * 我的供需JS ownsupplydemandPage.js
 */
DMX.namespace("ownsupplydemandPage");
DMX.ownsupplydemandPage = (function() {
  
  
  /**
   * 进入我的供需
   */
  var goToOwnsupplydemandPage=function(){
    $.router.loadPage("#ownsupplydemandPage");
    DMX.ownsupplydemandPage.initOwnsupplydemandPageMethod();
    DMX.ownsupplydemandPage.changsupplydemand();
  };
  
  
  
  
  /**
   * 进入我的供需加载的方法
   * @author lijin
   */
  var changsupplydemand=function(){
  //传参
    var param = {
      'user_id': userInfo.user_id
    };
    $.ajax({
      type: "POST",
      url: basePath + "updateNeedOrProviedActivate",
      data: param,
      success: function(data) {
        //关闭进度条
        $.hideIndicator();
        console.log(data);
        if(data.code == "TRUE"){
          
        }else if(data.code == "FALSE"){
          $.toast(data.msg);
        }
      },
    timeout:15000,
    error:function(XMLHttpRequest, textStatus, errorThrown){
      $.hideIndicator();
      if(textStatus == "timeout"){
        $.toast("获取超时");
      }else{
        $.toast("获取失败,请重试");
      }
    }
  });
  }
  
  
  
  
  /**
   * 进入我的供需加载的方法
   * @author lijin
   */
  var initOwnsupplydemandPageMethod=function(){
    DMX.ownsupplydemandPage.changeCss();
    DMX.ownsupplydemandPage.supplydemandbtn();
    DMX.ownsupplydemandPage.SearchsupplydemandData();
  };
  
  
  /**
   * 切换供应需求样式
   * @author lijin
   */
  var changeCss=function(){
    $("#ownsupplydemandPage_supply_tab").click(function(){
      $("#ownsupplydemandPage_demand_tab").removeClass("active");
      $(this).addClass("active"); 
      DMX.ownsupplydemandPage.SearchsupplydemandData();
    });
    $("#ownsupplydemandPage_demand_tab").click(function(){
      $("#ownsupplydemandPage_supply_tab").removeClass("active");
      $(this).addClass("active");
      DMX.ownsupplydemandPage.SearchsupplydemandData();
    });
  };
  
  /**
   * 判断查询供应或者需求
   * 查询后端数据
   * @author lijin
   */
  var SearchsupplydemandData=function(){
    var supplyordemand=$("#ownsupplyordemand .active").html();
    $("#ownsupplydemandPage_main").html("");
    if(supplyordemand=="供应"){
      DMX.ownsupplydemandPage.loadSupplyData();
    }
    if(supplyordemand=="需求"){
      DMX.ownsupplydemandPage.loadDemandData();
    }
  };
  
  
  /**
   * 获取供应数据
   * @author lijin
   */
  var loadDemandData=function(){
  //用户信息获取
    if(null == userInfo){
      $.toast('用户信息获取失败!');
      return;
    }
    //传参
    var param = {
      'user_id': userInfo.user_id
    };
    //开启进度条
    $.showIndicator();
    $.ajax({
      type: "POST",
      url: basePath + "getUserHistoryNeedInfo",
      data: param,
      success: function(data) {
        //关闭进度条
        $.hideIndicator();
        if(data.code == "TRUE"){
          demandData=data.obj;
          DMX.ownsupplydemandPage.refreshDemandData();
          $.toast("查询成功!");
        }else if(data.code == "FALSE"){
          $.toast(data.msg);
        }
      },
    timeout:15000,
    error:function(XMLHttpRequest, textStatus, errorThrown){
      $.hideIndicator();
      if(textStatus == "timeout"){
        $.toast("加载信息超时");
      }else{
        $.toast("加载失败,请重试");
      }
    }
    });
  };
  
  
  
  /**
   * 获取需求数据
   * @author lijin
   */
  var loadSupplyData=function(){
  //用户信息获取
    if(null == userInfo){
      $.toast('用户信息获取失败!');
      return;
    }
    //传参
    var param = {
      'user_id': userInfo.user_id
    };
    //开启进度条
    $.showIndicator();
    $.ajax({
      type: "POST",
      url: basePath + "getUserProvideinfo",
      data: param,
      success: function(data) {
        //关闭进度条
        $.hideIndicator();
        if(data.code == "TRUE"){
           supplyData=data.obj;
           DMX.ownsupplydemandPage.refreshSupplyData();
           $.toast("查询成功!");
        }else if(data.code == "FALSE"){
           $.toast(data.msg);
        }
      },
    timeout:15000,
    error:function(XMLHttpRequest, textStatus, errorThrown){
      $.hideIndicator();
      if(textStatus == "timeout"){
        $.toast("加载信息超时");
      }else{
        $.toast("加载失败,请重试");
      }
    }
    });
  };
  
  
  /**
   * 刷新供应列表数据
   *  @author lijin
   */
  var refreshSupplyData=function(){
    var html="";
    if(null != supplyData && supplyData.length != 0){
      for(var i=0;i<supplyData.length;i++){
        var user_nick=userInfo.user_nick;
          if(null == user_nick || user_nick == "" || user_nick == "null"){
             user_nick="昵称(无)";
          }
      var location_info=supplyData[i].location_info;
      
      if(null == location_info || location_info == "" || location_info == "null"){
             location_info="无";
          }
      var publish_time=supplyData[i].publish_time;
      if(null == publish_time || publish_time == "" || publish_time == "null"){
        publish_time="无";
      }
      
      var status="无";
      if(supplyData[i].status == "888"){//已过期
        status="已过期";
      }else if(supplyData[i].status == "2"){//已预定
        status="已预定";
      }else{
        var end_time=supplyData[i].end_time;
        if(null == end_time || end_time=="" || end_time=="null"){
          status="长期有效";
        }else{
          status="7天";
        }
      }
      
      
      html += '<div class="card facebook-card">';
      html += '<div class="card-header">';
      html += '<div>';
      html += '<div style="height:2.5rem;">';
      html += '<div style="width:10%;line-height:1.5rem;height:1.5rem;float:left;text-align:center;border-radius:0.25rem;font-weight:bold;background:#d85c00;color:#fff;margin-top:0.2rem;">供</div>';
      html += '<div style="width:90%;height:1rem;line-height:1rem;font-size:0.6rem;font-weight:bold;padding-left:0.2rem;float:left;">'+user_nick+'<span style="float:right;color:#0894ec;font-weight: normal;">'+status+'</span></div>';
      html += '<div style="width:90%;height:1rem;line-height:1rem;font-size:0.6rem;padding-left:0.2rem;float:left;overflow:hidden;text-overflow:ellipsis;">'+location_info+'</div>';
      html += '</div>';
      html += '<label class="label-checkbox item-content">';
      //checkbox value
      html += '<input type="checkbox" name="supply-checkbox" value="'+i+'">';
      html += '<div class="item-media" style="position: absolute;"><i class="icon icon-form-checkbox"></i></div>';
      html += '<div style="height:2rem;font-size:0.6rem">';
      html += '<div style="width:33%;float:left;"><div style="text-align:center;">1元</div><div style="text-align:center;">['+supplyData[i].coin_10+']</div></div>';
      html += '<div style="width:33%;float:left;"><div style="text-align:center;">5角</div><div style="text-align:center;">['+supplyData[i].coin_5+']</div></div>';
      html += '<div style="width:33%;float:left;"><div style="text-align:center;">1角</div><div style="text-align:center;">['+supplyData[i].coin_1+']</div></div>';
      html += '</div>';
      html += '</label>';
      html += '</div>';
      html += '<div style="font-size:0.6rem;height:1.5rem;line-height:1.5rem;"><div style="float:left;">发布时间：'+supplyData[i].publish_time+'</div></div>';
      html += '</div>';
      html += '</div>';
      }
    }
    $("#ownsupplydemandPage_main").html(html);
  };
  
  
  
  /**
   * 刷新需求列表数据
   *  @author lijin
   */
  var refreshDemandData=function(){
    var html="";
    if(demandData.length != 0 && null != demandData){
      for(var i=0;i<demandData.length;i++){
          var user_nick=userInfo.user_nick;
          if(null == user_nick || user_nick == "" || user_nick == "null"){
             user_nick="昵称(无)";
          }
      var location_info=demandData[i].location_info;
      if(null == location_info || location_info == "" || location_info == "null"){
           location_info="无";
        }
      var publish_time=demandData[i].publish_time;
      if(null == publish_time || publish_time == "" || publish_time == "null"){
        publish_time="无";
      }
      
      var status="无";
      if(demandData[i].status == "888"){//已过期
        status="已过期";
      }else if(demandData[i].status == "2"){//已预定
        status="已预定";
      }else{
        var end_time=demandData[i].end_time;
        if(null == end_time || end_time=="" || end_time=="null"){
          status="长期有效";
        }else{
          status="7天";
        }
      }

      
      
      html += '<div class="card facebook-card" onclick="">';
      html += '<div class="card-header">';
      html += '<div>';
      html += '<div style="height:2.5rem;">';
      html += '<div style="width:10%;height:1.5rem;line-height:1.5rem;float:left;text-align:center;border-radius:0.25rem;font-weight:bold;background:#f94048;color:#fff;margin-top:0.2rem;">需</div>';
      html += '<div style="width:90%;height:1rem;line-height:1rem;font-size:0.6rem;font-weight:bold;padding-left:0.2rem;float:left;">'+user_nick+'<span style="float:right;color:#0894ec;font-weight: normal;">'+status+'</span></div>';
      html += '<div style="width:90%;height:1rem;line-height:1rem;font-size:0.6rem;padding-left:0.2rem;float:left;overflow:hidden;">'+location_info+'</div>';
      html += '</div>';
      html += '<label class="label-checkbox item-content">';
      //checkbox value
      html += '<input type="checkbox" name="demand-checkbox" value="'+i+'">';
      html += '<div class="item-media" style="position: absolute;"><i class="icon icon-form-checkbox"></i></div>';
      html += '<div style="height:2rem;font-size:0.6rem">';
      html += '<div style="width:33%;float:left;"><div style="text-align:center;">1元</div><div style="text-align:center;">['+demandData[i].coin_10+']</div></div>';
      html += '<div style="width:33%;float:left;"><div style="text-align:center;">5角</div><div style="text-align:center;">['+demandData[i].coin_5+']</div></div>';
      html += '<div style="width:33%;float:left;"><div style="text-align:center;">1角</div><div style="text-align:center;">['+demandData[i].coin_1+']</div></div>';
      html += '</div>';
      html += '</label>';
      html += '</div>';
      html += '<div style="font-size:0.6rem;height:1.5rem;line-height:1.5rem;"><div style="float:left;">发布时间：'+demandData[i].publish_time+'</div></div>';
      html += '</div>';
      html += '</div>';
      }
    }
    $("#ownsupplydemandPage_main").html(html);
  };
  
  
  
  
  
  
  /**
   * 我的供需页面按钮弹出事件
   * @author lijin
   */
  var supplydemandbtn=function(){
    $(document).on('click', '#btn_supplydemand', function() {
      var supplyordemand=$("#ownsupplyordemand .active").html();
      //编辑
      var buttons1 = [{
        text: '编辑',
        bold: true,
        onClick: function() {
          State="edit";
          if(supplyordemand == "供应"){
            var supplyCheckArray = DMX.ownsupplydemandPage.getSupplyCheckBoxData();
            if(supplyCheckArray.length === 0){
              $.toast("请选择!");
            }else if(supplyCheckArray.length === 1){
                //已过期的是不能进行编辑的
              if(supplyData[Number(supplyCheckArray[0])].status == "888"){
                $.toast("历史数据不能修改!");
              }else{
                //跳往我的供需详情页面
                DMX.ownEditsupplydemandPage.goToOwnEditsupplydemandPage(supplyordemand,State,supplyData[Number(supplyCheckArray[0])]);
              }
            }else{
              $.toast("选择一条!");
            }
          }
          
          if(supplyordemand == "需求"){
            var demandCheckArray = DMX.ownsupplydemandPage.getDemandCheckBoxData();
            if(demandCheckArray.length === 0){
              $.toast("请选择!");
            }else if(demandCheckArray.length === 1){
              //已过期的是不能进行编辑的
              if(demandData[Number(demandCheckArray[0])].status == "888"){
                $.toast("历史数据不能修改!");
              }else{
                //跳像供应修改页面
                DMX.ownEditsupplydemandPage.goToOwnEditsupplydemandPage(supplyordemand,State,demandData[Number(demandCheckArray[0])]);
              }
            }else{
              $.toast("选择一条!");
            }
          }
          
        }
      }];
      //删除
      var buttons2 = [{
        text: '删除',
        bold: true,
        onClick: function() {
          supplyState="remove";
          if(supplyordemand == "供应"){
            var supplyCheckArray = getSupplyCheckBoxData();
            if(supplyCheckArray.length === 0){
              $.toast("请选择!");
            }else{
              //删除的方法
              deleteOwnsupplydemandData(1);
            }
          }
          if(supplyordemand == "需求"){
            var demandCheckArray = getDemandCheckBoxData();
            if(demandCheckArray.length === 0){
              $.toast("请选择!");
            }else{
              //删除的方法
              deleteOwnsupplydemandData(2);
            }
          }
        }
      }];
      //取消
      var buttons3 = [{
        text: '取消',
        bg: 'danger'
      }];
      //查看
      var buttons4 = [{
        text: '查看',
        bold: true,
        onClick: function() {
          State="view";
          if(supplyordemand == "供应"){
            var supplyCheckArray = DMX.ownsupplydemandPage.getSupplyCheckBoxData();
            if(supplyCheckArray.length === 0){
              $.toast("请选择!");
            }else if(supplyCheckArray.length === 1){
              DMX.ownEditsupplydemandPage.goToOwnEditsupplydemandPage(supplyordemand,State,supplyData[Number(supplyCheckArray[0])]);
            }else{
              $.toast("选择一条!");
            }
          }
          if(supplyordemand == "需求"){
            var demandCheckArray = getDemandCheckBoxData();
            if(demandCheckArray.length === 0){
              $.toast("请选择!");
            }else if(demandCheckArray.length === 1){
              DMX.ownEditsupplydemandPage.goToOwnEditsupplydemandPage(supplyordemand,State,demandData[Number(demandCheckArray[0])]);
            }else{
              $.toast("选择一条!");
            }
          }
        }
      }];
      var groups = [buttons4,buttons1, buttons2, buttons3];
      $.actions(groups);
    });
  };
  
  
  /**
   * 获取供应选中的数据
   * @author lijin
   */
  var getSupplyCheckBoxData=function(){
    var supplyCheck=new Array();
    $('input[name="supply-checkbox"]:checked').each(function(){    
      supplyCheck.push($(this).val());
    });
    return supplyCheck;
  };
  
  
  /**
   * 获取需求选中的数据
   * @author lijin
   */
  var getDemandCheckBoxData=function(){
    var demandCheck=new Array();
    $('input[name="demand-checkbox"]:checked').each(function(){
      demandCheck.push($(this).val());
    });
    return demandCheck;
  };
  
  
  
  /**
   * 删除
   * @author lijin
   */
  var deleteOwnsupplydemandData=function(i){
    if(i==1){
      try{
        var flag_supply_own=true;
        var supplyCheckArray = getSupplyCheckBoxData();
        for(var i=0;i<supplyCheckArray.length;i++){
          if(supplyData[Number(supplyCheckArray[i])].status == "888"){
            flag_supply_own=false;
            break;
          }
        }
        
        if(!flag_supply_own){
          $.toast("历史数据不能删除!");
          return;
        }
        
        var provide_id="";
        for(var i=0;i<supplyCheckArray.length;i++){
          if(i === supplyCheckArray.length-1){
            provide_id+=supplyData[Number(supplyCheckArray[i])].provide_id;
          }else{
            provide_id+=supplyData[Number(supplyCheckArray[i])].provide_id+",";
          }
        }
        if(provide_id == ""){
          $.toast("列表编号获取失败!");
          return;
        }
        //传参
        var param = {
          'provide_id': provide_id
        };
        //开启进度条
        $.showIndicator();
        $.ajax({
          type: "POST",
          url: basePath + "deleteSnProvideInfoById",
          data: param,
          success: function(data) {
            //关闭进度条
            $.hideIndicator();
            if(data.code == "TRUE"){
              $.toast("删除成功!");
              DMX.ownsupplydemandPage.loadSupplyData();
            }else if(data.code == "FALSE"){
              $.toast(data.msg);
            }
          },
        timeout:15000,
        error:function(XMLHttpRequest, textStatus, errorThrown){
        $.hideIndicator();
        if(textStatus == "timeout"){
          $.toast("删除信息超时");
        }else{
          $.toast("删除失败,请重试");
        }
        }
        });
      }catch(e){
        $.toast("列表编号获取失败!");
      }
    }
    if(i==2){
      try{
        var flag_demand_own=true;
        var demandCheckArray = getDemandCheckBoxData();
        for(var i=0;i<demandCheckArray.length;i++){
          if(demandData[Number(demandCheckArray[i])].status == "888"){
            flag_demand_own=false;
            break;
          }
        }
        
        if(!flag_demand_own){
          $.toast("历史数据不能删除!");
          return;
        }
        
        var need_id="";
        for(var i=0;i<demandCheckArray.length;i++){
          if(i === demandCheckArray.length-1){
            need_id+=demandData[Number(demandCheckArray[i])].need_id;
          }else{
            need_id+=demandData[Number(demandCheckArray[i])].need_id+",";
          }
        }
        if(need_id == ""){
          $.toast("列表编号获取失败!");
          return;
        }
        //传参
        var param = {
          'need_id': need_id
        };
        //开启进度条
        $.showIndicator();
        $.ajax({
          type: "POST",
          url: basePath + "deleteSnNeedInfoById",
          data: param,
          success: function(data) {
            //关闭进度条
            $.hideIndicator();
            if(data.code == "TRUE"){
              $.toast("删除成功!");
              DMX.ownsupplydemandPage.loadDemandData();
            }else if(data.code == "FALSE"){
              $.toast(data.msg);
            }
          },
        timeout:15000,
        error:function(XMLHttpRequest, textStatus, errorThrown){
        $.hideIndicator();
        if(textStatus == "timeout"){
          $.toast("删除信息超时");
        }else{
          $.toast("删除失败,请重试");
        }
        }
        });
      }catch(e){
        $.toast("列表编号获取失败!");
      }
    }
  };
  
  
  
  
  
  return {
    changsupplydemand:changsupplydemand,
    goToOwnsupplydemandPage:goToOwnsupplydemandPage,
    initOwnsupplydemandPageMethod:initOwnsupplydemandPageMethod,
    changeCss:changeCss,
    SearchsupplydemandData:SearchsupplydemandData,
    loadDemandData:loadDemandData,
    loadSupplyData:loadSupplyData,
    refreshSupplyData:refreshSupplyData,
    refreshDemandData:refreshDemandData,
    supplydemandbtn:supplydemandbtn,
    getSupplyCheckBoxData:getSupplyCheckBoxData,
    getDemandCheckBoxData:getDemandCheckBoxData,
    deleteOwnsupplydemandData:deleteOwnsupplydemandData
  };
})();


