/**
 * 注册页面 registerPage.JS
 * @author lijin
 */
DMX.namespace("registerPage");
DMX.registerPage = (function() {
  
  var user_type;
  
  var register_json_map=null;
  
  /**
   * 进入注册页面
   */
  var goToregisterPage=function(){
    $.router.loadPage("#registerPage");
    DMX.registerPage.initregisterPageMethod();
  };
  
  
  /**
   * 注册协议
   */
  var goTocoinprotocolPage=function(){
    $.router.loadPage("#coinprotocolPage");
  }
  
  
  /**
   * 进入注册页面需要加载的方法
   * @author lijin
   */
  var initregisterPageMethod=function(){
    DMX.registerPage.initRegisterPagegeren();
  };
  
  
  
  /**
   * 选项初始化
   * 显示/隐藏
   * @author lijin
   */
  var initRegisterPagegeren=function(){
      $(".registerPage_user_company_li").css("display","none");
      $(".registerPage_company_code_li").css("display","none");
      user_type=$.trim($("input[name='myCheckBoxViewCondition']:checked").val());
      DMX.registerPage.initRegisterDataContent();
  }
  
  var initRegisterPageqiye=function(){
      $(".registerPage_user_company_li").css("display","none");
      $(".registerPage_company_code_li").css("display","none");
      user_type=$.trim($("input[name='myCheckBoxViewCondition']:checked").val());
      DMX.registerPage.initRegisterDataContent();
  }
  
  var initRegisterPageyinhang=function(){
      $(".registerPage_user_company_li").css("display","block");
      $(".registerPage_company_code_li").css("display","block");
      user_type=$.trim($("input[name='myCheckBoxViewCondition']:checked").val());
      DMX.registerPage.initRegisterDataContent();
  }
  
  
  /**
   * 初始化所有字段数据
   * @author lijin
   */
  var initRegisterDataContent=function(){
    $("#registerPage_user_account").val("");
    $("#registerPage_user_passwd").val("");
    $("#registerPage_true_user_passwd").val("");
    $("#registerPage_user_phone").val("");
    $("#registerPage_user_nick").val("");
    $("#registerPage_user_company").val("");
    $("#registerPage_company_code").val("");
    $("#registerPage_user_identity").val("0");
    $("#registerPage_user_info").val("");
    $("#registerPage_user_phone_validate").val("");
  };
  
  
  /**
   * 验证注册信息
   * @author lijin
   */
  var verificationRegisterDataContent=function(){
    var register_flag="TURE";
    var register_message="";
    //获取注册类型
    var registerPage_user_account=$.trim($("#registerPage_user_account").val());
    var registerPage_user_passwd=$.trim($("#registerPage_user_passwd").val());
    var registerPage_true_user_passwd=$.trim($("#registerPage_true_user_passwd").val());
    var registerPage_user_phone=$.trim($("#registerPage_user_phone").val());
    var registerPage_user_nick=$.trim($("#registerPage_user_nick").val());
    var registerPage_user_company=$.trim($("#registerPage_user_company").val());
    var registerPage_company_code=$.trim($("#registerPage_company_code").val());
    var registerPage_user_identity=$.trim($("#registerPage_user_identity").val());
    var registerPage_user_phone_validate=$.trim($("#registerPage_user_phone_validate").val());
    if(user_type == "null" || user_type == "" || user_type == "on"){
      $.toast("请选择");
    }else if(user_type == "企业" || user_type == "银行"){
      if(null == registerPage_user_company || registerPage_user_company == "" || typeof(registerPage_user_company) == "undefined"){
        register_flag="FALSE";
        register_message="名称为空!";
        return register_flag+"@"+register_message;
      }  
    }
    if(null == registerPage_user_phone || registerPage_user_phone == "" || typeof(registerPage_user_phone) == "undefined"){
      register_flag="FALSE";
      register_message="手机号为空!";
      return register_flag+"@"+register_message;
    }

    if(validCode == null || validCode == ""){
      register_flag="FALSE";
      register_message="请获取验证码!";
      return register_flag+"@"+register_message;
    }
    if(validCode != registerPage_user_phone_validate){
      register_flag="FALSE";
      register_message="验证码错误!";
      return register_flag+"@"+register_message;
    }
    if(registerPage_user_phone_all!=registerPage_user_phone){
      register_flag="FALSE";
      register_message="验证码失效,请重新获取!";
      return register_flag+"@"+register_message;
    }
    if(null == registerPage_user_passwd || registerPage_user_passwd == "" || typeof(registerPage_user_passwd) == "undefined"){
      register_flag="FALSE";
      register_message="密码为空!";
      return register_flag+"@"+register_message;
    }
    if(null == registerPage_true_user_passwd || registerPage_true_user_passwd == "" || typeof(registerPage_true_user_passwd) == "undefined"){
      register_flag="FALSE";
      register_message="确认密码为空!";
      return register_flag+"@"+register_message;
    } 
    if(registerPage_user_passwd != registerPage_true_user_passwd){
      register_flag="FALSE";
      register_message="密码不一致!";
      return register_flag+"@"+register_message;
    }
    
    return register_flag+"@"+register_message; 
  }


  /**
   * 注册
   * @author lijin
   */
  var registerPersonOrCompany=function(){
    var registerPage_user_account=$.trim($("#registerPage_user_account").val());
    var registerPage_user_passwd=$.trim($("#registerPage_user_passwd").val());
    var registerPage_user_phone=$.trim($("#registerPage_user_phone").val());
    var registerPage_user_nick=$.trim($("#registerPage_user_nick").val());
    var registerPage_user_company=$.trim($("#registerPage_user_company").val());
    var registerPage_company_code=$.trim($("#registerPage_company_code").val());
    var registerPage_user_identity=$.trim($("#registerPage_user_identity").val());
    var registerPage_user_info=$.trim($("#registerPage_user_info").val());
    if(user_type == "个人" || user_type == "个人(可选择)"){
      user_type="1";
    }else if(user_type == "企业"){
      user_type="2";
    }else if(user_type == "银行"){
      user_type="3";
    }
    var register_tipmessage=$("#register_tipmessage").is(":checked");
    if(!register_tipmessage){
      $.toast("请赋予敏感信息的使用权限");
      return;
    }
    //X坐标
    var location_x=geolocationData_longitude;
    //Y坐标
    var location_y=geolocationData_latitude;
    //注册地址
    var location_info=ownMyAdder;
    //传参
    var param = {
      'user_account': registerPage_user_phone,
      'user_passwd': registerPage_user_passwd,
      'user_phone': registerPage_user_phone,
      'user_nick': registerPage_user_nick,
      'user_type': user_type,
      'user_company': registerPage_user_company,
      'company_code': registerPage_company_code,
      'user_identity': registerPage_user_identity,
      'location_x': location_x,
      'location_y': location_y,
      'location_info': location_info,
      'user_info': registerPage_user_info,
      'areamsg' : JSON.stringify(register_json_map)
    };
    
    //开启进度条
    $.showIndicator();
    $.ajax({
      type: "POST",
      url: basePath + "addUser",
      data: param,
      success: function(data) {
        //关闭进度条
        $.hideIndicator();
        if(data.code == "TRUE"){
          //验证码赋值为空 
          validCode=null;
          iii=60;
          ttt=null;
          registerPage_user_phone_all=null;
          //赋值
          userInfo=data.obj;
          $.toast("注册成功");
		  initiateUI(userInfo.user_id);
		  insertSqliteDataBase();
		  //注册成功之后,通过goToPageState进行判断跳向那个界面进行加载数据
          DMX.util.goToBack();
        }else if(data.code == "FALSE"){
          $.toast(data.msg);
        }
      },
    timeout:15000,
    error:function(XMLHttpRequest, textStatus, errorThrown){
      $.hideIndicator();
      if(textStatus == "timeout"){
        $.toast("注册信息超时");
      }else{
        $.toast("注册失败,请重试");
      }
    }
    });
  };
  
  
  
  /**
  * 获取验证码
  * @author lijin
  */
  var iii=60;
  var ttt=null;
  var validCode=null;
  var registerValidCodeState=true;
  var registerPage_user_phone_all=null;
  var getValidCode=function(){
    var registerPage_user_phone=$.trim($("#registerPage_user_phone").val());
    if(null == registerPage_user_phone || registerPage_user_phone == "" || typeof(registerPage_user_phone) == "undefined"){
     $.toast("无效号码!");
     return;
    }
    if(!DMX.util.validPhone(registerPage_user_phone)){
         $.toast("无效号码!");
     return;
    }
    if(!registerValidCodeState){
     $.toast("请勿重复操作");
     return;
    }
    //开启进度条
     $.showIndicator();
     var param={
       'phone':registerPage_user_phone
     };
     $.ajax({
     type: "POST",
     url: basePath + "getValidCode",
     data: param,
     success: function(data) {
       //关闭进度条
       $.hideIndicator();
       if(data.code == "TRUE"){
        if(iii === 60){
         registerValidCodeState=false; 
         ttt=setInterval("DMX.registerPage.setValidCode()",1000);
         validCode=data.obj;
         registerPage_user_phone_all=registerPage_user_phone;
        }else{
         $.toast("获取验证码失败!");
        }
       }else if(data.code == "FALSE"){
       $.toast(data.msg);
       }
     },
     timeout:15000,
     error:function(XMLHttpRequest, textStatus, errorThrown){
       $.hideIndicator();
       if(textStatus == "timeout"){
         $.toast("获取验证码超时");
       }else{
         $.toast("获取验证码异常");
       }
     }
     });
  }
  
  
  
  
  
  /**
  * 获取数据
  * @author lijin
  */
  var setValidCode=function(){
    if(iii === 0){
      clearInterval(ttt);
      $("#registerPage_user_phone_validate_a").text("获取验证码");
      registerValidCodeState=true;
      iii=60;
    }else{
      iii--;
      $("#registerPage_user_phone_validate_a").text(iii+"秒重新获取");
    }
  }
  
  
  /**
   * 免责声明
   * @author lijin
   */
  var goToregisterPage_shengming=function(){
    $.router.loadPage("#registerPage_shengming");
  };
  
  
  /**
   * 根据IP获取地址
   * @author hj
   */
  var getIpArea=function(){
  	var state=DMX.registerPage.verificationRegisterDataContent();
    var stateOrPerson = state.split("@");
    if(stateOrPerson[0] == "FALSE"){
      $.toast(stateOrPerson[1]);
      return;
    }
    var register_tipmessage=$("#register_tipmessage").is(":checked");
    if(!register_tipmessage){
      $.toast("请赋予敏感信息的使用权限");
      return;
    }
  	register_json_map = new Array();
  	
  	/**
     * 根据当前iP获取当前地址
     *
     */
     //开启进度条
    $.showIndicator();
     $.ajax({
        dataType : "script",
        timeout:15000,
        url: "http://int.dpool.sina.com.cn/iplookup/iplookup.php?format=js",
        success: function(data){
          var ipAreaMap = {
             "type" : "IP",
             "s" : remote_ip_info["province"],
             "c" : remote_ip_info["city"]
          };
          register_json_map.push(ipAreaMap);
          getPhoneArea();
        },
        error:function(XMLHttpRequest, textStatus, errorThrown){
          //关闭进度条
          $.hideIndicator();
          if (textStatus == "timeout") {
              $.toast("获取超时");
          } else {
              $.toast("获取失败,请重试");
          }
        }
    });
  };
  
  /**
   * 根据电话号码地址
   * @author hj
   */
  var getPhoneArea=function(){
  	$.ajax({
      type : "get",
      dataType : "jsonp",
      url: "http://120.76.46.186:8088/area/getPhoneArea",
      jsonp : "callback",
      data : {"phone" : $.trim($("#registerPage_user_phone").val())},
      jsonpCallback : "success_jsonpCallback",
      success : function(data) {
        if(data.flag){
          var areaMap = {
            "type" : "phone",
            "s" : data.obj.s,
            "c" : data.obj.city
          };
          register_json_map.push(areaMap);
          getCoordinate();
        }else{
        	$.toast(data.obj);
        }
      },
      timeout : 15000,
      error : function(XMLHttpRequest, textStatus, errorThrown) {
      	//关闭进度条
        $.hideIndicator();
          if (textStatus == "timeout") {
	          $.toast("获取超时");
	      } else {
	          $.toast("获取失败,请重试");
	      }
      }
    });
  };
  
  /**
   * 根据坐标获取地址
   * @author hj
   */
  var getCoordinate=function(){
  	$.ajax({
      type : "get",
      dataType : "jsonp",
      url: "http://120.76.46.186:8088/area/getCoordinateArea",
      jsonp : "callback",
      data : {"location" : geolocationData_longitude+','+geolocationData_latitude},
      jsonpCallback : "success_jsonpCallback",
      success : function(data) {
        //关闭进度条
        $.hideIndicator();
        if(data.flag){
          var areaMap = {
            "type" : "coordinate",
            "s" : data.obj.s,
            "c" : data.obj.city
          };
          register_json_map.push(areaMap);
          registerPersonOrCompany();
        }else{
        	var areaMap = {
	           "type" : "coordinate",
	           "s" : "",
	           "c" : ""
	        };
            register_json_map.push(areaMap);
        	registerPersonOrCompany();
        }
      },
      timeout : 15000,
      error : function(XMLHttpRequest, textStatus, errorThrown) {
      		//关闭进度条
        $.hideIndicator();
          if (textStatus == "timeout") {
	          $.toast("获取超时");
	      } else {
	          $.toast("获取失败,请重试");
	      }
      }
    });
  };
  
  /**
   * 弹出窗口
   */
  var onOpenRegisterWindow = function(){
    var registerPage_user_phone=$.trim($("#registerPage_user_phone").val());
    if(null == registerPage_user_phone || registerPage_user_phone == "" || typeof(registerPage_user_phone) == "undefined"){
      $.toast("无效号码!");
      return;
    }
    if(!DMX.util.validPhone(registerPage_user_phone)){
      $.toast("无效号码!");
      return;
    }
    if(!registerValidCodeState){
      $.toast("请勿重复操作");
      return;
    }
    var html='';
    html+='<div class="list-block">';
    html+='<ul>';
    html+='<li>';
    html+='<div class="item-content">';
    html+='<div class="item-inner">';
    html+='<div class="item-input">';
    html+='<input type="text" placeholder="请输入图形验证码" id="registerPage_yzmText">';
    html+='</div></div>';
    html+='<img style="width: 50px" type="image" src="" id="registerPage_codeImage" onclick="DMX.registerPage.chageCode()" title="图片看不清？点击重新得到验证码"/>';
    html+='</div></li></ul></div>';
    html+='<div class="content-block">';
    html+='<div class="row">';
    html+='<div class="col-50"><a href="#" class="button  button-fill button-danger" onclick="$.closeModal();">取消</a></div>';
    html+='<div class="col-50"><a href="#" class="button  button-fill button-success" onclick="DMX.registerPage.makeTrueYzm()">确认</a></div>';
    html+='</div>';
    html+='</div>';
    $.modal({
      text: html
    });
    DMX.registerPage.chageCode();
  };
  
  /**
   * 改变图形验证码
   */
  var chageCode = function(){
    $('#registerPage_codeImage').attr('src',basePath+"getCrsCode?code="+Math.random());
  };
  
  /**
   * 确认验证码,然后发送短信验证码
   */
  var makeTrueYzm=function(){
    var registerPage_user_phone=$.trim($("#registerPage_user_phone").val());
    if(null == registerPage_user_phone || registerPage_user_phone == "" || typeof(registerPage_user_phone) == "undefined"){
       $.toast("无效号码!");
       DMX.registerPage.chageCode();
       return;
    }
    if(!DMX.util.validPhone(registerPage_user_phone)){
       $.toast("无效号码!");
       DMX.registerPage.chageCode();
       return;
    }
    var registerPage_yzmText=$.trim($("#registerPage_yzmText").val());
    if(null == registerPage_yzmText || registerPage_yzmText == "" || typeof(registerPage_yzmText) == "undefined"){
      $.toast("验证码为空");
      DMX.registerPage.chageCode();
      return;
    }
    if(!registerValidCodeState){
     $.toast("请勿重复操作");
     return;
    }
    //开启进度条
     $.showIndicator();
     var param={
       'phone': registerPage_user_phone,
       'CRSCODE' : registerPage_yzmText
     };
     $.ajax({
     type: "POST",
     url: basePath + "getValidCode",
     data: param,
     success: function(data) {
       //关闭进度条
       $.hideIndicator();
       if(data.code == "TRUE"){
        if(iii === 60){
           registerValidCodeState=false; 
           ttt=setInterval("DMX.registerPage.setValidCode()",1000);
           validCode=data.obj;
           registerPage_user_phone_all=registerPage_user_phone;
           $.closeModal();
        }else{
          $.toast("正在倒计时中");
        }
       }else if(data.code == "FALSE"){
         $.toast(data.msg);
         DMX.registerPage.chageCode();
       }
     },
     timeout:15000,
     error:function(XMLHttpRequest, textStatus, errorThrown){
       $.hideIndicator();
       DMX.registerPage.chageCode();
       if(textStatus == "timeout"){
         $.toast("获取验证码超时");
       }else{
         $.toast("获取验证码异常");
       }
     }
     });
  };
  return {
    goToregisterPage:goToregisterPage,
    goTocoinprotocolPage:goTocoinprotocolPage,
    initregisterPageMethod:initregisterPageMethod,
    initRegisterPagegeren:initRegisterPagegeren,
    initRegisterPageqiye:initRegisterPageqiye,
    initRegisterPageyinhang:initRegisterPageyinhang,
    initRegisterDataContent:initRegisterDataContent,
    verificationRegisterDataContent:verificationRegisterDataContent,
    registerPersonOrCompany:registerPersonOrCompany,
    getValidCode:getValidCode,
    setValidCode:setValidCode,
    goToregisterPage_shengming : goToregisterPage_shengming,
    getIpArea : getIpArea,
    getPhoneArea : getPhoneArea,
    getCoordinate : getCoordinate,
    onOpenRegisterWindow:onOpenRegisterWindow,
    chageCode : chageCode,
    makeTrueYzm : makeTrueYzm
  };
})();


