/**
 * 发布信息页面 releasePage.JS
 * @author huangjun
 */
DMX.namespace("releasePage");
DMX.releasePage = (function() {
  var reg = /^([1-9][0-9]*){1,3}$/;
  
  /**
   * 进入发布信息页面
   */
  var goToReleasePage=function(){
    goToPageState="releasePage";
    document.getElementById('end_timediv').style.display = "none";
    if(userInfo == null){
      DMX.loginPage.goToLoginPage();
    }else{
      if(userInfo.user_type=="1"){
        //显示影藏问题
        DMX.releasePage.initReleasePageMethod();
      }else if(userInfo.user_type=="2"){
        DMX.releasePage.initReleasePageMethod();
        document.getElementById('end_timediv').style.display = "block";
      }else if(userInfo.user_type=="3"){
        DMX.releasePage.initReleasePageMethod();
        document.getElementById('end_timediv').style.display = "block";
      }else{
        DMX.loginPage.goToLoginPage();
      }
    }
  };
  
  
  /**
   * 进入发布信息需要加载的方法
   * @author lijin
   */
  var initReleasePageMethod=function(){
    $.router.loadPage("#releasePage");
    var mainPage_addrs=document.getElementById("mainPage_dragAddress").innerHTML;
    var mainPage_user_nick=userInfo.user_nick;
    var mainPage_user_phone=userInfo.user_phone;
    if(mainPage_user_nick != "" || mainPage_user_nick != null){
      $("#release_user").val(userInfo.user_nick);
    }
    if(mainPage_user_phone != "" || mainPage_user_phone != null){
      $("#release_phone").val(userInfo.user_phone);
    }
    $("#release_addres").val(mainPage_addrs);
    DMX.releasePage.zesuan();
    DMX.releasePage.changecss();
  };
  
  
  /**
   * 折算方法
   * @author lijin
   */
  var zesuan=function(){
    $("#releasePage_coin_10").blur(function(){
      $("#releasePage_coin_10s").html("");
      var coin_10=$.trim($("#releasePage_coin_10").val());
      if(!reg.test(coin_10)){
      }else{
        $("#releasePage_coin_10s").append(coin_10+"元");
      }
    });
    $("#releasePage_coin_5").blur(function(){
      $("#releasePage_coin_5s").html("");
      var coin_5=$.trim($("#releasePage_coin_5").val());
      var coin_5s=$.trim($("#releasePage_coin_5").val())*0.5;
      if(!reg.test(coin_5)){
      }else{
        $("#releasePage_coin_5s").append(coin_5s+"元");
      }
    });
    $("#releasePage_coin_1").blur(function(){
      $("#releasePage_coin_1s").html("");
      var coin_1=$.trim($("#releasePage_coin_1").val());
      var coin_1s=$.trim($("#releasePage_coin_1").val())/10;
      if(!reg.test(coin_1)){ 
      }else{
        $("#releasePage_coin_1s").append(coin_1s+"元");
      }
    });
  }
  
  
  /**
   * 切换供应需求样式
   * @author lijin
   */
  var changecss=function(){
    $("#releasePage_supply_tab").click(function(){
      $("#releasePage_demand_tab").removeClass("active");
      $(this).addClass("active"); 
    });
    $("#releasePage_demand_tab").click(function(){
      $("#releasePage_supply_tab").removeClass("active");
      $(this).addClass("active");
    });
  }
  
  
  /**
   * 发布供需
   * @author lijin
   */
  var releasemain=function(){
    var coin_10=$.trim($("#releasePage_coin_10").val());
    var coin_5=$.trim($("#releasePage_coin_5").val());
    var coin_1=$.trim($("#releasePage_coin_1").val());
    var end_time=$.trim($("#end_time").val());
    var release_user=$.trim($("#release_user").val());
    var release_phone=$.trim($("#release_phone").val());
    var location_info=$.trim($("#release_addres").val());
    var supplyordemand=$("#supplyordemand .active").html();
    if(DMX.releasePage.releasemainVerification() != 0){
      return;
    }
    if(!reg.test(coin_10) && coin_10 != ""){
      $.toast("1元格式错误！");
      return;
    }
    if(!reg.test(coin_5) && coin_5 != ""){
      $.toast("5角格式错误！");
      return;
    }
    if(!reg.test(coin_1) && coin_1 != ""){
      $.toast("1角格式错误！");
      return;
    }
    
    
    $.modal({
      text: '<div class="content-padded" style="width:100%;">'+
      '<h2 style="text-align: center;border-bottom: 1px solid #efefef;color: #D9271B;font-size: 1rem">温馨提示：</h2>'+
      '<div style="width:100%;height:7rem;">'+
      '<div style="font-size: 0.7rem;float: left;text-align: left;">'+
      '<p style="margin-top: 0px;margin-bottom: 0.25rem;">1.此次信息为无偿发布。</p>'+
      '<p style="margin-top: 0px;margin-bottom: 0.25rem;">2.大额硬币自助交易可能存在风险,建议通过第三方专业机构进行调剂兑换服务。</p>'+
      '<p style="margin-top: 0px;margin-bottom: 0.25rem;">3.点击下方“需要”按钮,德明序将主动联系您，请耐心等候。</p>'+
      '<p style="color:#0894ec;margin-top: 0px;margin-bottom: 0.25rem;" onclick="servicesPagePlayTelPhone()">电话：400-808-3839</p>'+
      '</div>'+
      '</div>'+
      '</div>',
      buttons: [
        {
          text: '需要',
          onClick: function () {
            var isService=1;
            if(supplyordemand == "供应"){
              supply(coin_10,coin_5,coin_1,end_time,isService,release_user,release_phone,location_info);
            }
            if(supplyordemand== "需求"){
              demand(coin_10,coin_5,coin_1,end_time,isService,release_user,release_phone,location_info);
            } 
          }
        },
        {
          text: '不需要',
          onClick: function () {
            var isService=0;
            if(supplyordemand == "供应"){
              supply(coin_10,coin_5,coin_1,end_time,isService,release_user,release_phone,location_info);
            }
            if(supplyordemand== "需求"){
              demand(coin_10,coin_5,coin_1,end_time,isService,release_user,release_phone,location_info);
            }  
          }
        }
      ]
    });
    
    
  }
  
  
  /**
   * 信息验证
   * @author lijin
   */
  var releasemainVerification=function(){
    var coin_10=$.trim($("#releasePage_coin_10").val());
    var coin_5=$.trim($("#releasePage_coin_5").val());
    var coin_1=$.trim($("#releasePage_coin_1").val());
    var coincount=Number(coin_10)+Number(coin_5)+Number(coin_1);
    var end_time=$.trim($("#end_time").val());
    var release_user=$.trim($("#release_user").val());
    var release_phone=$.trim($("#release_phone").val());
    var location_info=$.trim($("#release_addres").val());
    if(null == coin_10 || typeof(coin_10) == "undefined"){
      $.toast("1元为空!");
      return 1;
    }
    if(null == coin_5  || typeof(coin_5) == "undefined"){
      $.toast("5角为空!");
      return 2;
    }
    if(null == coin_1  || typeof(coin_1) == "undefined"){
      $.toast("1角为空!");
      return 3;
    }if(coin_10 == "0" && coin_5 == "0" && coin_1 == "0"){
      $.toast("发布信息不能为0!");
      return 4;
    }if(coin_10 == "" && coin_5 == "" && coin_1 == ""){
      $.toast("发布信息不能为空!");
      return 5;
    }if(release_user == "" || release_user == null || release_user == "null"){
      $.toast("联系人不能为空!");
      return 6;
    }if(release_phone == "" || release_phone == null || release_phone == "null"){
      $.toast("联系电话不能为空!");
      return 7;
    }if(!DMX.util.validPhone(release_phone)){
      $.toast("无效号码!");
      return 8;
    }if(coincount>500000){
      $.toast("发布金额过大,请重新输入!");
      return 9;
    }
    return 0;
  }
  
  
  
  /**
   * 发布供应
   * @author lijin
   */
  var supply=function(coin_10,coin_5,coin_1,end_time,isService,release_user,release_phone,location_info){
    var user_id=userInfo.user_id;
    var myDate=null;//new Date((new Date()).valueOf() + 7*24*60*60*1000);
    if(end_time == null || end_time == "7天"){
      myDate=new Date((new Date()).valueOf() + 7*24*60*60*1000);
      var myYears = (myDate.getYear() < 1900 ) ? ( 1900 + myDate.getYear() ) : myDate.getYear();
      var dateTime=myYears + "-"+DMX.util.checkTime((myDate.getMonth()+1))+"-"+DMX.util.checkTime(myDate.getDate())+" "+DMX.util.checkTime(myDate.getHours())+":"+DMX.util.checkTime(myDate.getMinutes());
      var end_time=dateTime;
    }else if(supply_end_time == "长期有效"){
      var end_time="";
    }
    
    
    //X坐标
    var location_x=geolocationData.lng;
    //Y坐标
    var location_y=geolocationData.lat;
   
    
    //传参
    var param = {
      'user_id': user_id,
      'end_time': end_time,
      'coin_10': Number(coin_10),
      'coin_5': Number(coin_5),
      'coin_1': Number(coin_1),
      'cash_200': 0,
      'cash_100': 0,
      'cash_50': 0,
      'cash_10': 0,
      'cash_5': 0,
      'cash_1': 0,
      'location_x': location_x,
      'location_y': location_y,
      'location_info': location_info,
      'lastid': "",
      'remark': "",
      'isService':isService,
      'contact':release_user,
      'contactPhone':release_phone
    };
    
    //开启进度条
    $.showIndicator();
    $.ajax({
      type: "POST",
      url: basePath + "addProvideInfo",
      data: param,
      success: function(data) {
        //关闭进度条
        $.hideIndicator();
        if(data.code == "TRUE"){
          if(isService == 1){
            $.toast("发布供应成功,德明序将与你联系！");
          }if(isService == 0){
            $.toast("发布供应成功！");
          }
          $("#supply_coin_10").val("");
          $("#supply_coin_5").val("");
          $("#supply_coin_1").val("");
          $("#supply_coin_1s").html("");
          $("#supply_coin_5s").html("");
          $("#supply_coin_10s").html("");
          DMX.ownmainPage.goToownmainPage();
        }else if(data.code == "FALSE"){
          $.toast(data.msg);
          $("#supply_coin_10").val("");
          $("#supply_coin_5").val("");
          $("#supply_coin_1").val("");
          $("#supply_coin_1s").html("");
          $("#supply_coin_5s").html("");
          $("#supply_coin_10s").html("");
        }else if(data.code == "TIP"){
          $.toast("超过允许发布条数！");
          $("#supply_coin_10").val("");
          $("#supply_coin_5").val("");
          $("#supply_coin_1").val("");
          $("#supply_coin_1s").html("");
          $("#supply_coin_5s").html("");
          $("#supply_coin_10s").html("");
        }
      },
    timeout:15000,
    error:function(XMLHttpRequest, textStatus, errorThrown){
      $.hideIndicator();
      if(textStatus == "timeout"){
        $.toast("发布信息超时");
      }else{
        $.toast("发布失败,请重试");
      }
      $("#supply_coin_10").val("");
      $("#supply_coin_5").val("");
      $("#supply_coin_1").val("");
      $("#supply_coin_1s").html("");
      $("#supply_coin_5s").html("");
      $("#supply_coin_10s").html("");
    }
    });
  }
  
  
  
  /**
   * 发布需求
   * @author lijin
   */
  var demand=function(coin_10,coin_5,coin_1,end_time,isService,release_user,release_phone,location_info){
    var user_id=userInfo.user_id;
    var myDate=null;
    if(end_time == null || end_time == "7天"){
      myDate=new Date((new Date()).valueOf() + 7*24*60*60*1000);
      var myYears = (myDate.getYear() < 1900 ) ? ( 1900 + myDate.getYear() ) : myDate.getYear();
      var dateTime=myYears + "-"+DMX.util.checkTime((myDate.getMonth()+1))+"-"+DMX.util.checkTime(myDate.getDate())+" "+DMX.util.checkTime(myDate.getHours())+":"+DMX.util.checkTime(myDate.getMinutes());
      var end_time=dateTime;
    }else if(demand_end_time == "长期有效"){
      var end_time="";
    }
    
    
    //X坐标
    var location_x=geolocationData.lng;
    //Y坐标
    var location_y=geolocationData.lat;
    
    //传参
    var param = {
      'user_id': user_id,
      'end_time': end_time,
      'coin_10': Number(coin_10),
      'coin_5': Number(coin_5),
      'coin_1': Number(coin_1),
      'cash_200': 0,
      'cash_100': 0,
      'cash_50': 0,
      'cash_10': 0,
      'cash_5': 0,
      'cash_1': 0,
      'location_x': location_x,
      'location_y': location_y,
      'location_info': location_info,
      'lastid': "",
      'remark': "",
      'isService':isService,
      'contact':release_user,
      'contactPhone':release_phone
    };
    
    //开启进度条
    $.showIndicator();
    $.ajax({
      type: "POST",
      url: basePath + "addNeedInfo",
      data: param,
      success: function(data) {
        //关闭进度条
        $.hideIndicator();
        if(data.code == "TRUE"){
          if(isService == 1){
            $.toast("发布需求成功,德明序将与你联系！");
          }if(isService == 0){
            $.toast("发布需求成功！");
          }
          $("#demand_coin_10").val("");
          $("#demand_coin_5").val("");
          $("#demand_coin_1").val("");
          $("#demand_coin_10s").html("");
          $("#demand_coin_5s").html("");
          $("#demand_coin_1s").html("");
          DMX.ownmainPage.goToownmainPage();
        }else if(data.code == "FALSE"){
          $.toast(data.msg);
          $("#demand_coin_10").val("");
          $("#demand_coin_5").val("");
          $("#demand_coin_1").val("");
          $("#demand_coin_10s").html("");
          $("#demand_coin_5s").html("");
          $("#demand_coin_1s").html("");
        }else if(data.code == "TIP"){
          $.toast(data.msg);
          $("#demand_coin_10").val("");
          $("#demand_coin_5").val("");
          $("#demand_coin_1").val("");
          $("#demand_coin_10s").html("");
          $("#demand_coin_5s").html("");
          $("#demand_coin_1s").html("");
        }
      },
    timeout:15000,
    error:function(XMLHttpRequest, textStatus, errorThrown){
      $.hideIndicator();
      if(textStatus == "timeout"){
        $.toast("发布信息超时");
      }else{
        $.toast("发布失败,请重试");
      }
      $("#demand_coin_10").val("");
      $("#demand_coin_5").val("");
      $("#demand_coin_1").val("");
      $("#demand_coin_10s").html("");
      $("#demand_coin_5s").html("");
      $("#demand_coin_1s").html("");
    }
    });
  }
  
  
  
  
  return {
    goToReleasePage:goToReleasePage,
    initReleasePageMethod:initReleasePageMethod,
    zesuan:zesuan,
    changecss:changecss,
    releasemain:releasemain,
    releasemainVerification:releasemainVerification
  };
})();


