/**
 *  条件筛选js
 */
DMX.namespace("screenPage");
DMX.screenPage = (function() {
  
	/**
    * 进入条件筛选页面
    */
	var goToScreenPage=function(){
		$.router.loadPage("#screenPage");
		DMX.screenPage.screenPageulClick();
	};
  
	
	/**
   * 选择条件
   */
	var screenPageulClick = function(){
		$('.screenPage_ul1_click li').click(function(){
			var type_shebei = $(this).html();
			if(type_shebei=="设备"){
				$('.screenPage_money,.screenPage_div_input').hide();
				$('.screenPage_label').remove();
				$('#Searchjine li').removeClass('cur');
				$('.screenPage_div_input input').val('');
			}
			if(type_shebei=="企业"){
        $('.screenPage_money,.screenPage_div_input').hide();
        $('.screenPage_label').remove();
        $('#Searchjine li').removeClass('cur');
        $('.screenPage_div_input input').val('');
      }
			if(type_shebei=="银行"){
        $('.screenPage_money,.screenPage_div_input').hide();
        $('.screenPage_label').remove();
        $('#Searchjine li').removeClass('cur');
        $('.screenPage_div_input input').val('');
      }
			if($(this).hasClass('cur')){
				return;
			}
			var screenType = $(this).html();
			var screenHtml = "<label bid="+screenType+"><i>"+screenType+"</i><img src='lib/img/icon_close1.png' style='display: block;width: 0.5rem;' onclick='DMX.screenPage.screenPage_span_del(this)'/></label>";
			$(this).addClass('cur');
			$('.screenPage_div_list').append(screenHtml);
		});
		$('.screenPage_ul_click li').click(function(){
			var screenType = $(this).html();
			if($(this).siblings().hasClass('cur')){
				$('.screenPage_label').html("<i>"+screenType+"</i><img src='lib/img/icon_close1.png' style='display: block;width: 0.5rem;' onclick='DMX.screenPage.screenPage_span_del(this)'/>");
				$('.screenPage_label').attr('bid',screenType);
			}else{
				if($(this).hasClass('cur')){
				}else{
					var screenHtml = "<label class='screenPage_label' bid="+screenType+"><i>"+screenType+"</i><img src='lib/img/icon_close1.png' style='display: block;width: 0.5rem;' onclick='DMX.screenPage.screenPage_span_del(this)'/></label>";
					$('.screenPage_div_list').append(screenHtml);
				}
			}
			$(this).addClass('cur').siblings().removeClass('cur');
		});
		
		
	};
	
	
	/**
   * 清除条件
   */
	var screenPage_span_del = function(e){
		var type_shebei = $(e).parent('label').attr('bid');
		if(type_shebei=="设备"){
			$('.screenPage_money,.screenPage_div_input').show();
		}
		if(type_shebei=="企业"){
      $('.screenPage_money,.screenPage_div_input').show();
    }
		if(type_shebei=="银行"){
      $('.screenPage_money,.screenPage_div_input').show();
    }
		var screenBid = $(e).parent('label').attr('bid');
		$('.screenPage li').each(function(){
			if($(this).html()==screenBid){
				$(this).removeClass();
			}
		});
		$(e).parent('label').remove();
	};
	
	
   /**
   * 确认多条件查询
   * @returns
   */
	var ConditionSearch=function(){
	    //开启进度条
      $.showIndicator();
	    DMX.mainPage.loadingdataMarker();
	    DMX.viewlist.loadingdataviewlist();
	    $.router.loadPage("#mainPage");
	};
	
	

	
	
	return {
		goToScreenPage:goToScreenPage,
		screenPageulClick:screenPageulClick,
		screenPage_span_del:screenPage_span_del,
		ConditionSearch:ConditionSearch,
	};
})();


