/**
 *  加载列表所用js
 */
DMX.namespace("viewlist");
DMX.viewlist = (function() {
  
  //获取所有数据
  var supplyDemandPageDataMenu=null;
  //获取点击Maker后的数据
  var supplyDemandPageData=null;
  //enc所有数据
  var encalldata=null;
  //enc故障数据
  var erralllist = new Array();
  //enc加钞数据
  var addalllist = new Array();
  //enc正常数据
  var normalalllist = new Array();
  var encalllistDataCount=new Array();
  var encalllisttest=null;
  
  /**
   * 加载并渲染数据
   * @author lijin
   */
  var loadingdataviewlist=function(){
    //进行传参请求数据,获取需要搜索的信息
    //搜索条件
    var viewBarinfo=$.trim($("#viewBarinfo").val());
    if(viewBarinfo == "null" || viewBarinfo == "" || viewBarinfo == null){
      viewBarinfo=$.trim($("#city-picker").html());
    }else{
      viewBarinfo=$.trim($("#viewBarinfo").val());
    }
    var Searchleixing="";
    //类型
    var ul1=$("#Searchleixing li"); 
    var moren=$("#Searchleixing li.cur").size();
    for(var i=0;i<ul1.length;i++){  
      if(moren==0){
        var Searchleixing="1,2,3,4,5";
      }else{
        if(ul1[i].getAttribute("class") == "cur"){
          Searchleixing += ul1[i].value +",";
        }
      }
    }
    
    //最大金额
    var maxcoin=Number($.trim($("#maxcoin").val()));
    //最小金额
    var mincoin=Number($.trim($("#mincoin").val()));
    
    var Searchjine="";
    //金额
    var ul2=$("#Searchjine li"); 
    for(var i=0;i<ul2.length;i++){
      if(ul2[i].getAttribute("class") == "cur"){   
        Searchjine = ul2[i].value;
      }
    }
    if( mincoin == "" && maxcoin == ""){
      if(Searchjine == "100"){
        maxcoin=100;
        mincoin=100;
      }
      if(Searchjine == "200"){
        maxcoin=200;
        mincoin=200;
      }
      if(Searchjine == "500"){
        maxcoin=500;
        mincoin=500;
      }
      if(Searchjine == "1000"){
        maxcoin=1000;
        mincoin=1000;
      }
    }

    if(maxcoin == 0){
      maxcoin = "";
    }
    if(mincoin == 0){
      mincoin = "";
    }

    //传参
    var param = {
      'location_info': viewBarinfo,
      'type':Searchleixing,
      'mintotalmoney':mincoin,
      'maxtotalmoney':maxcoin
    };
    
    $("#mainPage_line_container").html("");
    
    
    //开启进度条
    $.showIndicator();
    $.ajax({
      type: "POST",
      url: basePath + "getSupplyDemandDataForList",
      data: param,
      success: function(data) {
        if(data.code == "TRUE"){
          //data.obj获取所有的数据
          supplyDemandPageDataMenu=data.obj;
          DMX.viewlist.loadingencalldata();
        }else if(data.code == "FALSE"){
          $.hideIndicator();
          $.toast(data.msg);
        }
      },
      timeout:15000,
      error:function(XMLHttpRequest, textStatus, errorThrown){
        $.hideIndicator();
        if(textStatus == "timeout"){
          $.toast("加载列表超时");
        }else{
          $.toast("加载列表失败,请重试");
        }
      }
    });
  }
  
  

  /**
   * 获取ENC数据
   * @author lijin
   */
  var loadingencalldata=function(i){
    $.ajax({
      type : "post",
      timeout:15000,
      url : basePath +"getEncYuEBalance",
      success : function(data) {
        $.hideIndicator();
        encalldata=JSON.parse(data);
        if(encalldata.flag){
          addalllist=encalldata.content.add;
          erralllist=encalldata.content.err;
          normalalllist=encalldata.content.normal;
          DMX.viewlist.xuanranviewlist();
        }else{
          $.toast(encalldata.content);
        }
      },
      error:function(XMLHttpRequest, textStatus, errorThrown){
        $.hideIndicator();
        if(textStatus == "timeout"){
          $.toast("查询超时");
        }else{
          $.toast("查询失败,请重试");
        }
      }
    });
  }
  
  
  /**
   * 渲染德明序数据
   * @author lijin
   */
  var demingxuviewlist=function(){
    var html="";
    if(supplyDemandPageDataMenu != null || supplyDemandPageDataMenu != "null" || supplyDemandPageDataMenu != ""){
      for(var i=0;i<supplyDemandPageDataMenu.length;i++){
        var type=supplyDemandPageDataMenu[i].type;
        if(type == "1"){
          var user_nick=supplyDemandPageDataMenu[i].user_nick;
          if(null == user_nick || user_nick == "" || user_nick == "null"){
            user_nick="供应方("+(i+1)+")";
          }
          var location_info=supplyDemandPageDataMenu[i].location_info;
          if(null == location_info || location_info == "" || location_info == "null"){
            location_info="无";
          }
          var end_time=supplyDemandPageDataMenu[i].end_time;
          if(null == end_time || end_time=="" || end_time=="null"){
            end_time="长期有效";
          }else{
            end_time="7天";
          }
          if(user_nick == "重庆汇德明序科技发展有限公司"){
            html += '<div class="card facebook-card">';
            html += '<div class="card-header">';
            html += '<div onclick="DMX.viewlist.goTosupplyDemandDetailPage(1,'+i+')">';
            html += '<div style="height:2.5rem;">';
            html += '<div style="width:10%;line-height:1.5rem;height:1.5rem;float:left;text-align:center;border-radius:0.25rem;font-weight:bold;background:#d85c00;color:#fff;margin-top:0.2rem;">供</div>';
            html += '<div style="width:90%;height:1rem;line-height:1rem;font-size:0.6rem;font-weight:bold;padding-left:0.2rem;float:left;">'+user_nick+'<span style="float:right;color:#0894ec;font-weight: normal;">'+end_time+'</span></div>';
            html += '<div style="width:90%;height:1rem;line-height:1rem;font-size:0.6rem;padding-left:0.2rem;float:left;overflow:hidden;">'+location_info+'</div>';
            html += '</div>';
            html += '<div style="height:2rem;font-size:0.6rem">';
            html += '<div style="width:33%;float:left;"><div style="text-align:center;">1元</div><div style="text-align:center;">['+supplyDemandPageDataMenu[i].coin_10+']</div></div>';
            html += '<div style="width:33%;float:left;"><div style="text-align:center;">5角</div><div style="text-align:center;">['+supplyDemandPageDataMenu[i].coin_5+']</div></div>';
            html += '<div style="width:33%;float:left;"><div style="text-align:center;">1角</div><div style="text-align:center;">['+supplyDemandPageDataMenu[i].coin_1+']</div></div>';
            html += '</div>';
            html += '</div>';
            html += '<div style="font-size:0.6rem;height:1.5rem;line-height:1.5rem;"><div style="float:left;">'+supplyDemandPageDataMenu[i].publish_time+'</div></div>';
            html += '</div>';
            html += '</div>';
          }
        }else if(type == "2"){
          var user_nick=supplyDemandPageDataMenu[i].user_nick;
          if(null == user_nick || user_nick == "" || user_nick == "null"){
            user_nick="需求方("+(i+1)+")";
          }
          var location_info=supplyDemandPageDataMenu[i].location_info;
          if(null == location_info || location_info == "" || location_info == "null"){
                location_info="无";
          }
          var end_time=supplyDemandPageDataMenu[i].end_time;
          if(null == end_time || end_time=="" || end_time=="null"){
            end_time="长期有效";
          }else{
            end_time="7天";
          }
          if(user_nick == "重庆汇德明序科技发展有限公司"){
            html += '<div class="card facebook-card" onclick="">';
            html += '<div class="card-header">';
            html += '<div onclick="DMX.viewlist.goTosupplyDemandDetailPage(2,'+i+')">';
            html += '<div style="height:2.5rem;">';
            html += '<div style="width:10%;line-height:1.5rem;height:1.5rem;float:left;text-align:center;border-radius:0.25rem;font-weight:bold;background:#d85c00;color:#fff;margin-top:0.2rem;">需</div>';
            html += '<div style="width:90%;height:1rem;line-height:1rem;font-size:0.6rem;font-weight:bold;padding-left:0.2rem;float:left;">'+user_nick+'<span style="float:right;color:#0894ec;font-weight: normal;">'+end_time+'</span></div>';
            html += '<div style="width:90%;height:1rem;line-height:1rem;font-size:0.6rem;padding-left:0.2rem;float:left;overflow:hidden;">'+location_info+'</div>';
            html += '</div>';
            html += '<div style="height:2rem;font-size:0.6rem">';
            html += '<div style="width:33%;float:left;"><div style="text-align:center;">1元</div><div style="text-align:center;">['+supplyDemandPageDataMenu[i].coin_10+']</div></div>';
            html += '<div style="width:33%;float:left;"><div style="text-align:center;">5角</div><div style="text-align:center;">['+supplyDemandPageDataMenu[i].coin_5+']</div></div>';
            html += '<div style="width:33%;float:left;"><div style="text-align:center;">1角</div><div style="text-align:center;">['+supplyDemandPageDataMenu[i].coin_1+']</div></div>';
            html += '</div>';
            html += '</div>';
            html += '<div style="font-size:0.6rem;height:1.5rem;line-height:1.5rem;"><div style="float:left;">'+supplyDemandPageDataMenu[i].publish_time+'</div></div>';
            html += '</div>';
            html += '</div>';
          }
        }
      }
    }
    
    for(var o=0;o<supplyDemandPageDataMenu.length;o++){
      var type=supplyDemandPageDataMenu[o].type;
      if(type == "1"){
        var user_nick=supplyDemandPageDataMenu[o].user_nick;
        if(null == user_nick || user_nick == "" || user_nick == "null"){
          user_nick="供应方("+(o+1)+")";
        }
        var location_info=supplyDemandPageDataMenu[o].location_info;
        if(null == location_info || location_info == "" || location_info == "null"){
          location_info="无";
        }
        var end_time=supplyDemandPageDataMenu[o].end_time;
        if(null == end_time || end_time=="" || end_time=="null"){
          end_time="长期有效";
        }else{
          end_time="7天";
        }
        if(user_nick != "重庆汇德明序科技发展有限公司"){
          html += '<div class="card facebook-card">';
          html += '<div class="card-header">';
          html += '<div onclick="DMX.viewlist.goTosupplyDemandDetailPage(1,'+o+')">';
          html += '<div style="height:2.5rem;">';
          html += '<div style="width:10%;line-height:1.5rem;height:1.5rem;float:left;text-align:center;border-radius:0.25rem;font-weight:bold;background:#d85c00;color:#fff;margin-top:0.2rem;">供</div>';
          html += '<div style="width:90%;height:1rem;line-height:1rem;font-size:0.6rem;font-weight:bold;padding-left:0.2rem;float:left;">'+user_nick+'<span style="float:right;color:#0894ec;font-weight: normal;">'+end_time+'</span></div>';
          html += '<div style="width:90%;height:1rem;line-height:1rem;font-size:0.6rem;padding-left:0.2rem;float:left;overflow:hidden;">'+location_info+'</div>';
          html += '</div>';
          html += '<div style="height:2rem;font-size:0.6rem">';
          html += '<div style="width:33%;float:left;"><div style="text-align:center;">1元</div><div style="text-align:center;">['+supplyDemandPageDataMenu[o].coin_10+']</div></div>';
          html += '<div style="width:33%;float:left;"><div style="text-align:center;">5角</div><div style="text-align:center;">['+supplyDemandPageDataMenu[o].coin_5+']</div></div>';
          html += '<div style="width:33%;float:left;"><div style="text-align:center;">1角</div><div style="text-align:center;">['+supplyDemandPageDataMenu[o].coin_1+']</div></div>';
          html += '</div>';
          html += '</div>';
          html += '<div style="font-size:0.6rem;height:1.5rem;line-height:1.5rem;"><div style="float:left;">'+supplyDemandPageDataMenu[o].publish_time+'</div><div style="float:right;width:4rem;text-align:center;background:#c12c20;border-radius:0.25rem;height:1rem;line-height:1rem;color:#fff;margin-top:0.25rem;" onclick="DMX.viewlist.goTosupplyDemandreservePage(1,1,'+o+')">预定兑换</div></div>';
          html += '</div>';
          html += '</div>';
        } 
      }else if(type == "2"){
        var user_nick=supplyDemandPageDataMenu[o].user_nick;
        if(null == user_nick || user_nick == "" || user_nick == "null"){
          user_nick="需求方("+(o+1)+")";
        }
        var location_info=supplyDemandPageDataMenu[o].location_info;
        if(null == location_info || location_info == "" || location_info == "null"){
              location_info="无";
        }
        var end_time=supplyDemandPageDataMenu[o].end_time;
        if(null == end_time || end_time=="" || end_time=="null"){
          end_time="长期有效";
        }else{
          end_time="7天";
        }
        if(user_nick != "重庆汇德明序科技发展有限公司"){
          html += '<div class="card facebook-card" onclick="">';
          html += '<div class="card-header">';
          html += '<div onclick="DMX.viewlist.goTosupplyDemandDetailPage(2,'+o+')">';
          html += '<div style="height:2.5rem;">';
          html += '<div style="width:10%;line-height:1.5rem;height:1.5rem;float:left;text-align:center;border-radius:0.25rem;font-weight:bold;background:#d85c00;color:#fff;margin-top:0.2rem;">需</div>';
          html += '<div style="width:90%;height:1rem;line-height:1rem;font-size:0.6rem;font-weight:bold;padding-left:0.2rem;float:left;">'+user_nick+'<span style="float:right;color:#0894ec;font-weight: normal;">'+end_time+'</span></div>';
          html += '<div style="width:90%;height:1rem;line-height:1rem;font-size:0.6rem;padding-left:0.2rem;float:left;overflow:hidden;">'+location_info+'</div>';
          html += '</div>';
          html += '<div style="height:2rem;font-size:0.6rem">';
          html += '<div style="width:33%;float:left;"><div style="text-align:center;">1元</div><div style="text-align:center;">['+supplyDemandPageDataMenu[o].coin_10+']</div></div>';
          html += '<div style="width:33%;float:left;"><div style="text-align:center;">5角</div><div style="text-align:center;">['+supplyDemandPageDataMenu[o].coin_5+']</div></div>';
          html += '<div style="width:33%;float:left;"><div style="text-align:center;">1角</div><div style="text-align:center;">['+supplyDemandPageDataMenu[o].coin_1+']</div></div>';
          html += '</div>';
          html += '</div>';
          html += '<div style="font-size:0.6rem;height:1.5rem;line-height:1.5rem;"><div style="float:left;">'+supplyDemandPageDataMenu[o].publish_time+'</div><div style="float:right;width:4rem;text-align:center;background:#c12c20;border-radius:0.25rem;height:1rem;line-height:1rem;color:#fff;margin-top:0.25rem;" onclick="DMX.viewlist.goTosupplyDemandreservePage(2,1,'+o+')">预定兑换</div></div>';
          html += '</div>';
          html += '</div>';
        }
      }else if(type == "4"){
        var location_x=supplyDemandPageDataMenu[o].location_x;
        var location_y=supplyDemandPageDataMenu[o].location_y;
        var addr=supplyDemandPageDataMenu[o].user_company+"@@#@@"+supplyDemandPageDataMenu[o].location_info+"@@#@@"+supplyDemandPageDataMenu[o].location_x+"@@#@@"+supplyDemandPageDataMenu[o].location_y+"@@#@@"+"menu";
        html += '<div class="card facebook-card" >';
        html += '<div class="card-header">';//onclick="DMX.viewlist.enctishiguzhang()"
        html += '<div style="height:2.5rem;">';
        html += '<div style="width:10%;line-height:1.5rem;height:1.5rem;float:left;margin-top:0.2rem;"><img src="lib/img/company.png" style="width:100%;height:100%;"/></div>';
        html += '<div style="width:90%;float:left;">';
        html += '<div style="height:1rem;line-height:1rem;font-size:0.6rem;font-weight:bold;margin-left:0.2rem;">'+supplyDemandPageDataMenu[o].user_company+'</div>';
        html += '<div style="height:1rem;line-height:1rem;font-size:0.6rem;margin-left:0.2rem;">'+supplyDemandPageDataMenu[o].location_info+'</div>';
        html += '</div>';
        html += '</div>';
        html += '<span style="float:right;color:#0894ec;font-weight: normal;position: absolute;right: .5rem;top: .5rem;font-size:0.6rem;" onclick="DMX.mapNavigationPage.goTomapNavigationPage(\''+addr+'\',2)">到这里去</span>';
        html += '</div>';
        html += '</div>';
      }else if(type == "5"){
        var location_x=supplyDemandPageDataMenu[o].location_x;
        var location_y=supplyDemandPageDataMenu[o].location_y;
        var addr=supplyDemandPageDataMenu[o].user_company+"@@#@@"+supplyDemandPageDataMenu[o].location_info+"@@#@@"+supplyDemandPageDataMenu[o].location_x+"@@#@@"+supplyDemandPageDataMenu[o].location_y+"@@#@@"+"menu";
        html += '<div class="card facebook-card" >';
        html += '<div class="card-header">';//onclick="DMX.viewlist.enctishiguzhang()"
        html += '<div style="height:2.5rem;">';
        html += '<div style="width:10%;line-height:1.5rem;height:1.5rem;float:left;margin-top:0.2rem;"><img src="lib/img/blank.png" style="width:100%;height:100%;"/></div>';
        html += '<div style="width:90%;float:left;">';
        html += '<div style="height:1rem;line-height:1rem;font-size:0.6rem;font-weight:bold;margin-left:0.2rem;">'+supplyDemandPageDataMenu[o].user_company+'</div>';
        html += '<div style="height:1rem;line-height:1rem;font-size:0.6rem;margin-left:0.2rem;">'+supplyDemandPageDataMenu[o].location_info+'</div>';
        html += '</div>';
        html += '</div>';
        html += '<span style="float:right;color:#0894ec;font-weight: normal;position: absolute;right: .5rem;top: .5rem;font-size:0.6rem;" onclick="DMX.mapNavigationPage.goTomapNavigationPage(\''+addr+'\',2)">到这里去</span>';
        html += '</div>';
        html += '</div>';
      }
    }
    
    $("#mainPage_line_container").append(html);
  }
  
  

  
  /**
   * 渲染数据
   * @author lijin
   */
  var xuanranviewlist=function(){
    $("#mainPage_line_container").html("");
    DMX.viewlist.demingxuviewlist();
    var html="";
    if(supplyDemandPageDataMenu != null || supplyDemandPageDataMenu != "null" || supplyDemandPageDataMenu != ""){
      for(var i=0;i<supplyDemandPageDataMenu.length;i++){
        var type=supplyDemandPageDataMenu[i].type;
        var encid=$.trim(supplyDemandPageDataMenu[i].sn_id);
        if(type == "3"){
          for(var j=0;j<normalalllist.length;j++){
            var encid2=$.trim(normalalllist[j].devid);
            var encbank=$.trim(normalalllist[j].encbank);
            if("undefined" != typeof(encbank) && encbank.indexOf("XX") < 0){
              if(encid==encid2){
                var addr=normalalllist[j].encbank+"@@#@@"+normalalllist[j].location_info+"@@#@@"+normalalllist[j].location_x+"@@#@@"+normalalllist[j].location_y+"@@#@@"+"menu";
                encalllistDataCount.push(normalalllist[j]);
                html += '<div class="card facebook-card">';
                html += '<div class="card-header">';// onclick="DMX.encstatusdetailsPage.goToencstatusdetailsPage(\''+normalalllist[j].devid+'\')"
                html += '<div style="height:2.5rem;">';
                html += '<div style="width:10%;line-height:1.5rem;height:1.5rem;float:left;margin-top:0.2rem;"><img src="lib/img/enc.png" style="width:100%;height:100%;"/></div>';
                html += '<div style="width:90%;float:left;">';
                html += '<div style="height:1rem;line-height:1rem;font-size:0.6rem;font-weight:bold;margin-left:0.2rem;">纸硬币兑换机</div>';
                html += '<div style="height:1rem;line-height:1rem;font-size:0.6rem;margin-left:0.2rem;">'+normalalllist[j].encbank+'-'+normalalllist[j].location_info+'</div>';
                html += '</div>';
                html += '<div style="height:2.5rem;line-height: 2.5rem;float:right;color:#D0D0D0;">></div>';
                html += '</div>';
                html += '<div style="font-size:0.6rem;height:1.5rem;line-height:1.5rem;">设备时间：'+normalalllist[j].inserttime+'<div style="float:right;color:#00ae9d;margin-right:0.5rem;">正常</div></div>';
                html += '</div>';
                html += '<span style="float:right;color:#0894ec;font-weight: normal;position: absolute;right: .5rem;top: .5rem;font-size:0.6rem;" onclick="DMX.mapNavigationPage.goTomapNavigationPage(\''+addr+'\',2)">到这里去</span>'
                html += '</div>';
              }
            }
          }
          for(var k=0;k<addalllist.length;k++){
            var encid2=$.trim(addalllist[k].devid);
            var encbank=$.trim(addalllist[k].encbank);
            if("undefined" != typeof(encbank) && encbank.indexOf("XX") < 0){
              if(encid==encid2){
                var addr=addalllist[k].encbank+"@@#@@"+addalllist[k].location_info+"@@#@@"+addalllist[k].location_x+"@@#@@"+addalllist[k].location_y+"@@#@@"+"menu";
                html += '<div class="card facebook-card">';
                html += '<div class="card-header">';// onclick="DMX.viewlist.enctishiquechao()"
                html += '<div style="height:2.5rem;">';
                html += '<div style="width:10%;line-height:1.5rem;height:1.5rem;float:left;margin-top:0.2rem;"><img src="lib/img/enc.png" style="width:100%;height:100%;"/></div>';
                html += '<div style="width:90%;float:left;">';
                html += '<div style="height:1rem;line-height:1rem;font-size:0.6rem;font-weight:bold;margin-left:0.2rem;">纸硬币兑换机</div>';
                html += '<div style="height:1rem;line-height:1rem;font-size:0.6rem;margin-left:0.2rem;">'+addalllist[k].encbank+'-'+addalllist[k].location_info+'</div>';
                html += '</div>';
                html += '<div style="height:2.5rem;line-height: 2.5rem;float:right;color:#D0D0D0;">></div>';
                html += '</div>';
                html += '<div style="font-size:0.6rem;height:1.5rem;line-height:1.5rem;">设备时间：'+addalllist[k].inserttime+'<div style="float:right;color:#f58220;margin-right:0.5rem;">缺钞</div></div>';
                html += '</div>';
                html += '<span style="float:right;color:#0894ec;font-weight: normal;position: absolute;right: .5rem;top: .5rem;font-size:0.6rem;" onclick="DMX.mapNavigationPage.goTomapNavigationPage(\''+addr+'\',2)">到这里去</span>'
                html += '</div>';
              }
            }
          }
          for(var l=0;l<erralllist.length;l++){
            var encid2=$.trim(erralllist[l].devid);
            var encbank=$.trim(erralllist[l].encbank);
            if("undefined" != typeof(encbank) && encbank.indexOf("XX") < 0){
              if(encid==encid2){
                var inserttime=erralllist[l].inserttime;
                if(inserttime == "" || inserttime == null || inserttime == "undefined"){
                  inserttime = "该设备未联网";
                }
                var addr=erralllist[l].encbank+"@@#@@"+erralllist[l].location_info+"@@#@@"+erralllist[l].location_x+"@@#@@"+erralllist[l].location_y+"@@#@@"+"menu";
                html += '<div class="card facebook-card">';
                html += '<div class="card-header">';//onclick="DMX.viewlist.enctishiguzhang()"
                html += '<div style="height:2.5rem;">';
                html += '<div style="width:10%;line-height:1.5rem;height:1.5rem;float:left;margin-top:0.2rem;"><img src="lib/img/enc.png" style="width:100%;height:100%;"/></div>';
                html += '<div style="width:90%;float:left;">';
                html += '<div style="height:1rem;line-height:1rem;font-size:0.6rem;font-weight:bold;margin-left:0.2rem;">纸硬币兑换机</div>';
                html += '<div style="height:1rem;line-height:1rem;font-size:0.6rem;margin-left:0.2rem;">'+erralllist[l].encbank+'-'+erralllist[l].location_info+'</div>';
                html += '</div>';
                html += '<div style="height:2.5rem;line-height: 2.5rem;float:right;color:#D0D0D0;">></div>';
                html += '</div>';
                html += '<div style="font-size:0.6rem;height:1.5rem;line-height:1.5rem;">设备时间：'+inserttime+'<div style="float:right;color:#aa363d;margin-right:0.5rem;">故障</div></div>';
                html += '</div>';
                html += '<span style="float:right;color:#0894ec;font-weight: normal;position: absolute;right: .5rem;top: .5rem;font-size:0.6rem;" onclick="DMX.mapNavigationPage.goTomapNavigationPage(\''+addr+'\',2)">到这里去</span>';
                html += '</div>';
              }
            }
          }
        }
      }
      $("#mainPage_line_container").append(html);
    }else{
      $.toast("查询失败！");
    }
    $("#flashf6").removeClass("Rotation");
  };
  
  
  /**
   * ENC提示缺钞
   * @author lijin
   */
  var enctishiquechao=function(){
    $.toast("该设备已缺钞，无法进行兑换查询！");
  };

  /**
   * ENC提示故障
   * @author lijin
   */
  var enctishiguzhang=function(){
    $.toast("该设备已故障，无法进行兑换查询！");
  };
  
  
  /**
   * 传递参数
   */
  var goTosupplyDemandDetailPage=function(number,i){
    DMX.supplyDemandDetailPage.goTosupplyDemandDetailPage(number,i,supplyDemandPageDataMenu);
  };
  
  
  /**
   * 传递参数
   */
  var goTosupplyDemandreservePage=function(number,number2,i){
	  DMX.supplyDemandreservePage.goTosupplyDemandreservePage(number,number2,i,supplyDemandPageDataMenu);
  };
  
  
  return {
    loadingdataviewlist:loadingdataviewlist,
    loadingencalldata:loadingencalldata,
    demingxuviewlist:demingxuviewlist,
    xuanranviewlist:xuanranviewlist,
    enctishiquechao:enctishiquechao,
    enctishiguzhang:enctishiguzhang,
    goTosupplyDemandDetailPage:goTosupplyDemandDetailPage,
    goTosupplyDemandreservePage:goTosupplyDemandreservePage
  };
})();


