/**
 * 公共类
 */
DMX.namespace("util");
DMX.util = (function() {
  
  var init=function(){
    
  };
  
  
  /**
   * 登录或者注册成功之后 返回到相应界面
   * @author lijin
   */
  var goToBack=function(){
    if(goToPageState == "releasePage"){
      //发布
      DMX.releasePage.goToReleasePage();
    }else if(goToPageState == "ownmainPage"){
      //我的
      DMX.ownmainPage.goToownmainPage();
    }else if(goToPageState == "makerlistPage"){
      $.router.loadPage("#mainPage");
    }else if(goToPageState == "viewlist"){
      $.router.loadPage("#mainPage");
    }else if(goToPageState == "ownMessagePage"){
      DMX.ownMessagePage.goToOwnMessagePage(0);
    }
  };
  
  
  /**
   * 验证手机号
   * @param {} registerPage_user_phone
   * @return {Boolean}
   * @author lijin
   */
  var validPhone=function(registerPage_user_phone){
    var myreg =/^(((12[0-9]{1})|(13[0-9]{1})|(14[0-9]{1})|(15[0-9]{1})|(16[0-9]{1})|(17[0-9]{1})|(18[0-9]{1})|(19[0-9]{1}))+\d{8})$/;
      if(!myreg.test(registerPage_user_phone)) { 
        return false;
      } else {
        return true;  
    }
  };
  
  
  /**
   * 返回信息
   * @param lijin
   * @returns {String}
   */
  var checkTime=function (i){
    if (i<10) {
      i="0" + i;
    }
    return i;
  };

  /*
   * 返回首页
   */
  var backIndex = function(){
	  $.router.loadPage("#mainPage");
  };
  
  
  /**
   * 打电话
   */
  var servicesPagePlayTelPhone=function(){
    var telnumber="400-808-3839";
    if(null != telnumber && telnumber != ""){
      var url='tel://' + telnumber;
      window.location.href = url; 
    }else{
      $.toast("无效号码");
    }
  };
  
  

  
  /**
   * 获取cookie
   */
  var get_cookie=function(Name){
    var search = Name + "="//查询检索的值
    var returnvalue = "";//返回值
    if (document.cookie.length > 0) {
      sd = document.cookie.indexOf(search);
      if (sd!= -1) {
         sd += search.length;
         end = document.cookie.indexOf(";", sd);
         if (end == -1)
          end = document.cookie.length;
          //unescape() 函数可对通过 escape() 编码的字符串进行解码。
         returnvalue=unescape(document.cookie.substring(sd, end))
       }
    } 
    return returnvalue;
  }
  
  
  return {
    init:init,
    goToBack:goToBack,
    validPhone:validPhone,
    checkTime:checkTime,
    backIndex:backIndex,
    servicesPagePlayTelPhone:servicesPagePlayTelPhone,
    get_cookie:get_cookie
  };
})();


